import "Turbine"
import "Turbine.Gameplay"
import "Turbine.UI"
import "Turbine.UI.Lotro"

Reloader = class(Turbine.UI.Control)
function Reloader:Constructor()
    Turbine.UI.Control.Constructor(self)
    self:SetWantsUpdates(true)
    self.reloaded = false
    self.Update = function()
        if self.reloaded then
            Turbine.PluginManager.LoadPlugin("Prime Bags") 
            self:SetWantsUpdates(false)    
        elseif not(self.reloaded) then 
            Turbine.PluginManager.UnloadScriptState("Prime Bags")
            self.reloaded = true
        end
    end
end

reload = Reloader()