
-- Countdown options
CountdownSettings = class(Turbine.UI.Control)
function CountdownSettings:Constructor(parent)

    local width = Settings.LOWidth
    local height = 500
    local x = Settings.LOX
    local y = Settings.LOY
    local font = Settings.LOFont
    local colour = Turbine.UI.Color(1, 1, 1)
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    self:SetParent(parent)
    self:SetPosition(10,30)
    self:SetWantsKeyEvents(true)
    self:SetVisible(false)
    self:SetBackColor(Turbine.UI.Color(0.125, 0.125, 0.125))
    local height = 0

    --GetOptionsBackground(self, 110, Turbine.UI.Color(1, 0, 0))

    -- Countdown window
    local CountDownLabel = GetLabelUI(self, "Count down Settings:", height)

    local CountdownTestButton = Turbine.UI.Lotro.Button()
    CountdownTestButton:SetParent(self)
    CountdownTestButton:SetPosition(250, height)
    CountdownTestButton:SetSize(200,15)
    CountdownTestButton:SetText("Test countdown")
    CountdownTestButton:SetVisible(true)

    CountdownTestButton.Click = function()
        countdownWindow:Countdown(10)
    end

    local CountdownWindowOptions = GetWindowUI(self, "CountdownWindow Width| Height", height + 30, Settings.CWidth, Settings.CHeight)
    CountdownWindowOptions.button.Click = function()
        Settings.CWidth = CountdownWindowOptions.windowX:GetText()
        Settings.CHeight = CountdownWindowOptions.windowY:GetText()
        ReloadPlugin()
    end

    local FontMenuCountdown = GetFontMenu(self, height + 70, FontsLUTR[Settings.CFont]) 
    for i = 1, FontMenuCountdown.menuItems:GetCount() do
        local menuItem = FontMenuCountdown.menuItems:Get(i)

        menuItem.Click = function(sender, args)
            Settings.CFont = FontsLUT[sender:GetText()]
            ReloadPlugin()
        end
    end
end