
-- Skill countdowns [1] timer [2] message [3] unique [4] show icon
TEffects = {
    ["Acid Puddles"] = {15, "Puddles", false, true},
    ["Life Drain"] = {40, "~Life drain", false, true},
    ["Shadow-spun Webs"] = {18, "Binding", false, true},
    ["Hail of Webs"] = {40, "Hail", true, true},
    ["Bloody Wound"] = {60, "<name>", false, true},
    ["Charge!"] = {20, "<name>", false, true}
    --["Inspiriting Presence"] = {10, "Cappy crit"},
    --["Water-lore"] = {25, "Test"}
    --["Defiant Challenge"] = {25, "Test"}
}

TAllEffects = {
    ["Life Drain"] = {40, "~Life drain", false, true},
    ["Shadow-spun Webs"] = {18, "Binding", false, true},
    ["Hail of Webs"] = {40, "Hail", true, true},
    ["Bloody Wound"] = {60, "<name>", false, true},
    ["Acidic Fangs - 1"] = {20, "Acid Frontal", true, AcidFangIcon},
    ["Acidic Fangs - 2"] = {20, "Acid Frontal", true, AcidFangIcon},
    ["Acidic Fangs - 3"] = {20, "Acid Frontal", true, AcidFangIcon},
    ["Acidic Fangs - 4"] = {20, "Acid Frontal", true, AcidFangIcon},
    ["Acidic Fangs - 5"] = {20, "Acid Frontal", true, AcidFangIcon},
    ["Mark of Shadow"] = {45, "Shadow Eye", false, true},
    --["Water-lore"] = {25, "Test"}
    --["Mending Verse"] = {25, "Test"}
    --["Parasites"] = {25, "Parasites"},
    --["Defiant Challenge"] = {25, "Test"}
}

TDamage = {
    ["Shadow Force"] = {45, "Shadow Force", ShadowFace},
    ["Rage and Fury"] = {25, "Rage and Fury", RageIcon},
    ["Vomit Darkness"] = {15, "Darkness", DarknessIcon},
    ["Acidic Fangs"] = {20, "Acid Frontal", AcidFangIcon},
    
    --["Fulmination"] = {80, "Fulmination", 1090523648},
    --["a supreme melee attack (Distributed)"] = {4, "Supreme melee", 0x411172A2},
    ["Apocalypse Cleave (Distributed)"] = {20, "Apocalypse Cleave", 1090648289},
}



-- Harrowing {timer, message}
TShaktur = {
    ["Don't run!"] = {33, "Don't run!"},
    ["maggots"] = {32, "Maggots"}
}

TDargash = {
    ["Come closer!"] = {25, "Come closer"},
    ["Contagion"] = {30, "Puddles"},
    ["Minions"] = {30, "Interrupt (Min)"}
}

PurpleEyeTimer =  {180, "Purple eye"}
TIsvitha = {
    ["drakes"] = {140, "Add spawn"},
    ["taste"] = PurpleEyeTimer,
    ["scrumptious"] =  PurpleEyeTimer
}

TDwarves = {

}

-- The sunderer
TBrantokh = {
    ["Cower before the might"] = {40, "Sunderer aoe"},
    ["bring this mountain"] = {40, "Sunderer aoe"},
}

-- The unheeding & stark heart
TDobruz = {
    ["I challenge YOU"] = {35, "Unheeding challenge"},
    ["You look like a weakling"] = {35, "Unheeding challenge"},
    ["You will not harm"] = {30, "Stark heart interrupt"},
    ["clan is mine"] = {30, "Stark heart interrupt"}
}

-- Rill seeker & Bellower
TOiko = {
    ["Get out of my way!"] = {40, "Rill-seeker aoe"},
    ["I seek the"] = {40, "Rill-seeker aoe"},
    ["Súmrutu"] = {30, "Bellower interrupt"}
}

-- Squint eye
TKuzek = {
    ["Grrr."] = {40, "Squint-eye stun"}
}

TBrunek = {
    ["Taste my axes"] = {30, "Clovenbrow axes (Min)"},
    ["How would you like"] = {30, "Clovenbrow axes (Min)"}
}

TKarazgar = {
    ["Finish them"] = {50, "Blue eye"},
    ["meet your end"] = {40, "Purple eye"}
}

TVethug = {
    ["Freeze, insects"] = {50, "BLUE eye"}
}

THrimil = {
    ["glacier"] = {70, "Knockback"},
    ["Begone"] = {70, "Knockback"},
    ["powerless"] = {90, "Ice-breath"}
}

TThe = {
    ["Atmên ambâkh tabi ablâkmâ"] = {45, "Shadow Force", ShadowFace}
}

TZabothak = {
    ["You weaklings cannot defeat ME!"] = {35, "Reflect!", CJIconSmalll},
    ["Show me your strength! Haha!"] = {35, "Reflect!", CJIconSmalll},
}

TKhor = {
    ["It is over, Zabothak... and you have failed."] = {37, "RP", RolePlay}
}

TAtli = {
    ["Legolas! Over here!"] = {32, "RP", RolePlay}
}

TGulthava = {
    ["This place the dwarves called"] = {38, "RP", RolePlay}
}

TUlt = {
    ["Incompetent oafs! Crush and smash them!"] = {30, "RP", RolePlay}
}

TPrinceDurin = {
    ["Heroes! To me!"] = {70, "Flames", FireShield},
    ["Stand with us! We will shield you from the flames!"] = {70, "Flames", FireShield},
}

TRanulur = {
    ["Children! To me!"] = {45, "Adds", WolfIcon},
    ["Your father needs you!"] = {45, "Adds", WolfIcon},
}

TGuldur = {
    ["Time to nap!"] = {60, "Sleeping Troll!", RolePlay},
    ["Maybe here is good place to rest."] = {60, "Sleeping Troll!", RolePlay},
    ["Why so tired now?"] = {60, "Sleeping Troll!", RolePlay},
    ["Nightshade... sleep."] = {60, "Sleeping Troll!", RolePlay},
}
    

T = {
    ["Shaktur"] = TShaktur,
    ["sh"] = TDargash, -- Dargásh -> sh

    -- Anvil
    ["tha"] = TIsvitha, -- Isvítha -> tha

    ["ntokh"] = TBrantokh, -- Brántokh -> ntokh
    ["bruz"] = TDobruz, -- Dóbruz -> bruz
    ["iko"] = TOiko, -- Óiko -> iko
    ["zek"] = TKuzek, -- Kúzek -> zek
    ["nek"] = TBrunek, -- Brúnek -> nek

    ["Karazgar"] = TKarazgar,
    ["Vethúg"] = TVethug, -- Vethúg -> g

    ["mil"] = THrimil, -- Hrímil -> mil
    ["The"] = TThe, -- The witch king / The shadowed king

    ["Captain"] = TZabothak,

    ["khor"] = TKhor,
    ["Atli"] = TAtli,
    ["va"] = TGulthava,
    ["Ulk"] = TUlt,

    ["Prince"] = TPrinceDurin,
    ["nulur"] = TRanulur,
    ["Ránulur"] = TRanulur,

    ["Guldur"] = TGuldur,
}
--35 Gultháva, Maiden of the Gladden shouts, ''''
--ChatOutput("Timers loaded")
