ActionHandler = class(Turbine.UI.Control)
function ActionHandler:Constructor()

    Turbine.UI.Control.Constructor(self)

    self.ActionEvent = function(sender, event, args)
        if type(event)=="function" then
            event(args)
        else
            if type(event)=="table" then
                for i=1,#event do
                    if type(event[i])=="function" then
                        event[i](args)
                    end
                end
            end
        end
    end

    self:SetWantsKeyEvents(true)

	self.KeyDown = function( sender, args )
        self.ActionEvent(self, self.Action, {["Action"] = args.Action})
	end

end
