BackgroundHandler = class()
function BackgroundHandler:Constructor()
    self.images = {}
    self.bars = {
        ["bar1"] = {"PrimePlugins/RaidTools/Images/bar1.tga", 128, 16},
        ["bar3"] = {"PrimePlugins/RaidTools/Images/bar3.tga", 128, 16},
        ["bar3v"] = {"PrimePlugins/RaidTools/Images/bar3v.tga", 16, 128},
        ["bar4"] = {"PrimePlugins/RaidTools/Images/bar4.tga", 128, 16},
        ["bar6"] = {"PrimePlugins/RaidTools/Images/bar6.tga", 256, 32},
        ["bar6r"] = {"PrimePlugins/RaidTools/Images/bar6r.tga", 256, 32},
        ["bar7"] = {"PrimePlugins/RaidTools/Images/bar7.tga", 256, 32},
        ["bar11"] = {"PrimePlugins/RaidTools/Images/bar11.tga", 256, 32},
        ["bar13"] = {"PrimePlugins/RaidTools/Images/bar13.tga", 256, 32},
        ["bar23"] = {"PrimePlugins/RaidTools/Images/bar6r.tga", 64, 8},
        ["bar25"] = {"PrimePlugins/RaidTools/Images/bar25.tga", 256, 32},
        ["bar28"] = {"PrimePlugins/RaidTools/Images/bar28.tga", 256, 32},
        ["bar31"] = {"PrimePlugins/RaidTools/Images/bar31.tga", 256, 32},
    }
end

function BackgroundHandler:GetBackground(id)
    if true then 
        local succes, graphic = pcall(Turbine.UI.Graphic, id)
        if succes then
            return graphic
        else
            return nil
        end
    end
    if id == nil then return nil end
    if self.images[id] then 
        return self.images[id] 
    else
        local succes, graphic = pcall(Turbine.UI.Graphic, id)
        self.images[id] = graphic
        return self.images[id]
    end
end

function BackgroundHandler:GetBarTextureData()
    return self.bars
end
