FirstTimerData = class(Turbine.UI.Control)
function FirstTimerData:Constructor(parent)
    local width = 800
    local height = 600
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    --self:SetPosition(x,y)
    self:SetVisible(false)
    self:SetMouseVisible(false)
    self:SetParent(parent)

    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(400, 200)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
    NameLabel:SetText("Data Tracking")


    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(600, 500)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetSelectable(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.Verdana16)
    NameLabel:SetText([[

The plugin has an option to track data for later customisation functionality. A main feature is tracking all effects that are applied to you as a player so they can later be displayed as a database of effects that you can browse to more easily create tools yourself.

The downside of this system is that the database of effects can grow very large and you rarely interact with this database. If you are not (currently) making any tools this part is not useful for you. 

Disabling this functionality also does not allow you to browse your database. Your database is of course not deleted, but will only be loaded if this functionality is enabled. If this functionality is disabled in cases where the your database would be loaded the plugin's default database is loaded, which is also very extensive but might not be up to date to the current content.

The reason to disable this functionality is to decrease the loading required to load setup the plugin as well as reduce the memory use of the plugin while used. We advise to only toggle this option on if you want to update your database with a new set of effects in new content.
    ]])

    local CheckWindow = CheckWindowTemplate(self, Settings.CollectData, "Enable Data Collection",  100, 430)
    CheckWindow.CheckedChanged = function(sender,args)
        Settings.CollectData = CheckWindow:IsChecked()
    end
end