FirstTimerWindowsTarget = class(Turbine.UI.Control)
function FirstTimerWindowsTarget:Constructor(parent)
    local width = 800
    local height = 600
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    --self:SetPosition(x,y)
    self:SetMouseVisible(false)
    self:SetVisible(false)
    self:SetParent(parent)

    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(400, 200)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
    NameLabel:SetText("Target Window")


    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(600, 500)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetSelectable(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.Verdana16)
    NameLabel:SetText([[

A window that displays information about your current target. This window will show the name of your target, the health of your target in percentage & through a health bar and the current DPS on your target since the start of your targetting (while in combat).

Besides this basic information the target window will also attempt to show you effects applied to your target in the form of timers. The selection of effects shown can be altered through the options. Due to bugs in the API this effect tracking is not always correct and might result in reduced performance of your client. Use with care!
    ]])

    local CheckWindow = CheckWindowTemplate(self, Settings.TEnabled, "Enable Target Window", 100, 280)
    CheckWindow.CheckedChanged = function(sender,args)
        Settings.TEnabled = CheckWindow:IsChecked()
    end

    local CheckWindow = CheckWindowTemplate(self, Settings.TShowAll, "Show all effects on target", 100, 300)
    CheckWindow.CheckedChanged = function(sender,args)
        Settings.TShowAll = CheckWindow:IsChecked()
    end
end