function PrimeUI:PrimeUIGambitBar(data, parent)
    local valuebar = GambitBar(parent, data)
    local x = self:ContentAlignement(data["Alignment"], (data.Width + 2 * data["BorderSize"]))
    local y = self.currentHeight
    if self.groupMode then
        valuebar:SetPosition(data.X, data.Y)
    else
        valuebar:SetPosition(x, y)
    end
    self.lookup[data.NickName or ""] = valuebar
    if self.groupMode then
        valuebar.moveBox = MoveBox(valuebar, data["Width"] * data["Scale"], data["Height"] * data["Scale"], data["NickName"] or "Gambit Bar")
        valuebar.savePosition = function()
            data["X"], data["Y"] = valuebar:GetPosition()
        end
    end

    self.currentHeight = self.currentHeight + data["Height"]

    table.insert(self.tools, valuebar)
end