function PrimeUI:ToggleMove()
    self.moveBox:ToggleMove()
    if self.moveBox.MoveBox:IsVisible() then
        ChatOutput("Click on \"Move\" to save the new position, reloading the plugin will set the PrimeUI to the previous position.")
    else
        ChatOutput("Position saved successfully")
    end
    return self:GetPosition()
end

function PrimeUI:ToggleAdvancedMove()
    local moveMode = false
    for key, value in pairs(self.UI) do
        if value.moveBox then
            value.moveBox:ToggleMove()
            value.savePosition()
            moveMode = value.moveBox.MoveBox:IsVisible()
        end
    end

    for key, value in pairs(self.tools) do
        if value.moveBox then
            value.moveBox:ToggleMove()
            value.savePosition()
            moveMode = value.moveBox.MoveBox:IsVisible()
        end
    end

    if moveMode then
        ChatOutput("Click on \"Move\" to save the new positions, reloading the plugin will set the UI elements to their previous positions.")
    else
        ChatOutput("Positions saved successfully")
    end

    self.advancedMoveBox:ToggleMove()

    return self.data
end

function PrimeUI:GetAdvancedPosition()
    if self.groupMode and self.advancedMoveBox then
        return self:GetPosition()
    end
end