ReadyButtonWindow = class(Turbine.UI.Window)
function ReadyButtonWindow:Constructor()
    local buttonUpdate = Turbine.Engine.GetGameTime()
    Turbine.UI.Window.Constructor(self)
    self:SetSize(35, 35)
    --self:SetBackColor(Turbine.UI.Color(0, 0, 0))
    self:SetVisible(false)
    self:SetPosition(math.floor( Turbine.UI.Display.GetWidth() / 2 - 175), math.floor( Turbine.UI.Display.GetHeight() / 2 - 175))
    self:SetStretchMode(1)
    self:SetSize(350, 350)
    self:SetMouseVisible(true)
    self:SetWantsKeyEvents(true)
    --self:SetWantsUpdates(true)

    self.readyButton = Turbine.UI.Lotro.Quickslot()
    self.readyButton:SetParent(self)
    self.readyButton:SetUseOnRightClick(false)
    --self.readyButton:SetShortcut()
    self.readyButton:SetParent(self)
    self.readyButton:SetMouseVisible(true)
    self.readyButton:SetWantsKeyEvents(true)
    self.readyButton:SetSize(35, 35)
    --self.readyButton:SetWantsUpdates(true)
    
    self.setShortcut = function()
        if Turbine.Gameplay.LocalPlayer.GetInstance():GetParty() ~= nil then 
            local channel = "f"
            if Turbine.Gameplay.LocalPlayer.GetInstance():GetParty():GetMemberCount() > 6 then
                channel = "ra"
            end
            self.shortcut = Turbine.UI.Lotro.Shortcut(Turbine.UI.Lotro.ShortcutType.Alias, "/" .. channel .. " " .. " Initiate Readycheck")
            self.readyButton:SetShortcut(self.shortcut)
            self:SetZOrder(100)
        end
    end

    self.VisibleChanged = function()
        self.setShortcut()
    end

    self.readyButton.ShortcutChanged = function()
        self.setShortcut()
    end
end