
Reloader = class(Turbine.UI.Control)
function Reloader:Constructor()
    Turbine.UI.Control.Constructor(self)
    self:SetWantsUpdates(true)
    self.reloaded = false
    self.Update = function()
        if self.reloaded then
            self:SetWantsUpdates(false)    
        elseif not(self.reloaded) then 
            Turbine.PluginManager.UnloadScriptState("~PrimeReloader")
            self.reloaded = true
            for _, value in pairs(Turbine.PluginManager:GetLoadedPlugins()) do
                if value["ScriptState"] == "~PrimeReloader" then
                    self.reloaded = false
                end
            end
        end
    end
end

function ReloadPlugin(forceReload)
    if OPTIONS_OPEN and not(forceReload) then 
        ChatOutput("Plugin reload prevented due to opened options window")
        return
    end
    Settings.ReloadData = true
    Settings.NoUnload = true
    StatEventHandling:AddReload()
    Turbine.PluginManager.LoadPlugin("~PrimeReloader")
end