import "PrimePlugins.Vitals"


Reloader = class(Turbine.UI.Control)
function Reloader:Constructor()
    Turbine.UI.Control.Constructor(self)
    self:SetWantsUpdates(true)
    self.reloaded = false
    self.Update = function()
        if self.reloaded then
            self:SetWantsUpdates(false)    
        elseif not(self.reloaded) then 
            Turbine.PluginManager.UnloadScriptState("~PrimeVitalsReloader")
            self.reloaded = true
            self:SetParent(nil)
        end
    end
end

function ReloadPlugin()
    Turbine.PluginManager.LoadPlugin("~PrimeVitalsReloader")
end

import "PrimePlugins.RaidTools.Utils"

BackgroundHandler = PrimePlugins.RaidTools.Handlers.BackgroundHandler()

local r = Reloader()

UpdateSettings()

Turbine.UI.Lotro.LotroUI.SetEnabled(Turbine.UI.Lotro.LotroUIElement.Vitals, false)

FrameHandlerObject = FrameHandler()

if Settings.TargetEnabled then TargetVital = TargetWindow() end

Options = nil --OptionOptions()

ChatOutput("<rgb=#FF9900>"..plugin:GetName() .. " Version " .. plugin:GetVersion() .." loaded.</rgb>") 

plugin.Unload = function() 
    Turbine.UI.Lotro.LotroUI.SetEnabled(Turbine.UI.Lotro.LotroUIElement.Vitals, true)
    Turbine.UI.Lotro.LotroUI.SetEnabled(Turbine.UI.Lotro.LotroUIElement.Target, true)
    SaveData()
    FrameHandlerObject:SaveData()
    FrameHandlerObject:Unload()
end