BackgroundImage = "PrimePlugins/Bags/Images/Background.tga"

BagItem = class(Turbine.UI.Lotro.ItemControl)
function BagItem:Constructor(value, index)
    Turbine.UI.Lotro.ItemControl.Constructor( self )

    self.Index = index


    self:SetBlendMode(Turbine.UI.BlendMode.Overlay)
    self:SetBackground(BackgroundImage)
    --self:SetSize(32, 32)
    self:SetPosition(2, 2)
    self:SetItem(value)

    self.overlay = Turbine.UI.Control()
    self.overlay:SetStretchMode( 1 )
    self.overlay:SetMouseVisible( false )
    --self.elapsedOverlay:SetZOrder( 99 )
    self.overlay:SetBackColor( Turbine.UI.Color( 0, 0, 0, 0 ) )
    --self.overlay:SetBackColorBlendMode( Turbine.UI.BlendMode.Overlay )
    self.overlay:SetParent( self )
    self.overlay:SetPosition(0, 0)
    self.overlay:SetSize(35, 35)
    self.overlay:SetMouseVisible(false)

    self.highlightFrame = PrimePlugins.RaidTools.ClassSpecificTools.HighlightFrame2(self, 1.09375)
    self.highlightFrame:SetPosition(2,2)
    
    self:GetName()
end

function BagItem:GetIndex()
    return self.Index
end

function BagItem:GetCategory()
    return self.category
end

function BagItem:SetCategory(category)
    self.category = category
end

function BagItem:GetName()
    if self:GetItem() then
        return self:GetItem():GetName()
    else
        return "nil"
    end
end

function BagItem:Toggle(value)
    if value then
        self.overlay:SetBackColor( Turbine.UI.Color( 0, 0, 0, 0 ) )
    else    
        self.overlay:SetBackColor( Turbine.UI.Color( 0.6, 0, 0, 0 ) )
    end
end

function BagItem:Highlight(value)
    self.highlightFrame:Toggle(value)
end
