--[[
testTable = {

}

local gambitList = Turbine.Gameplay.LocalPlayer.GetInstance():GetTrainedSkills()
for i = 1,  gambitList:GetCount() do 
    local gambitInfo = gambitList:GetItem(i):GetSkillInfo()
    testTable[gambitInfo:GetName()] = gambitInfo:GetIconImageID()
end

Turbine.PluginData.Save(Turbine.DataScope.Account, "TestOutput", testTable)
--]]

--[[
--local testString = "Rolorion tried to use Desolation - Light on the High Sorceress but she resisted the attempt."
--local testString = "Rolorion tried to use Surety of Death - Light on the Angmarim but he resisted the attempt."
--local testString = "kiss tried to use Induce Stunned on the DPS target dummy but it was immune to the attempt."
--local testString = "The DPS target dummy tried to use Common Attack on kiss but it blocked the attempt."
--local testString = "The Angmarim Look-out tried to use Poison Arrow on Rolorion but he resisted the attempt."
--local testString = "The Obscuring Darkwater missed trying to use a minor ranged attack on Rolorion."
--local testString = "The Obscuring Darkwater tried to use Disease on Rolorion but he resisted the attempt."
local testString = "MrMits scored a hit with Benediction of the Raven on the Training Snowman."

--local Source, SkillName, Target, FailType = string.match(testString,"^(.*) tried to use (.*) on (.*) but it (.*) the attempt.$")
--local Source, SkillName, Target, FailType = string.match(testString,"^(.*) tried to use (.*) on (.*) but s?he (.*) the attempt.$")
--local Source, SkillName, Target, FailType = string.match(testString,"^(.*) missed trying to use (.*) on (.*).$")
local Source, HitType, SkillName, Target = string.match(testString,"^(.*) scored a (.*)hit with (.*) on (.*)%.$")
ChatOutput(Source)
ChatOutput(HitType)
ChatOutput(SkillName)
ChatOutput(Target)
ChatOutput(Damage)
ChatOutput(damageType)
--]]

function GetIconLUT(player)
--0x41157A95
--0x41140151
-- 0x411299EF RP
-- 1092335089 mordor eye
-- melee orc 0x411644C1 0x411644C2 1091978435 0x411644C4 0x411644C8  1091978433 1091978434 1091978435 0x411644C4 1091978440
-- shaman 0x411644C5 0x411644C6 1091978439 0x4112733F 0x41127340 0x41127341 
-- spider 0x411644C9 0x411644CB 1091978444 0x41127348 0x41127349 0x4112734A
-- spiderling 1091658263
-- beetle 1091658258
-- dragon 0x41116210
-- uruk 0x411644CA 0x411644CD 0x411644CE 0x411644CF 0x411644D4 0x411644D5 0x411644D6 0x4111DCC9
-- warg 0x411644D0 0x411644D1 0x411644D2 0x411644D3 0x411644D7 0x41127351 0x41127352 0x41127353 0x4111DCD2
-- Haradrim 0x41167DF2 0x41168208
-- ghos 1091658262
-- bear 0x4110CA45 0x4110CA46 0x4110CA47 0x4110CA48 0x4110CA49 0x4110CA4A
-- Sabertooth 0x4110CA50 0x4110CA51 0x4110CA52 0x4110CA53 0x4110CA54 0x4110CA55
-- mordirith 0x410087CF
-- troll 1091388975
-- armour 1091418221 1091509616 1091509619
-- guant lord 1091418201
-- huorn 1091921941 1091921942  1091921943
-- gobling 1091838420?
-- death 1090530436
-- light 1090580172
-- aurochs 1091944327
    -- warden
    local iconTable = {

        
        -- NPCs
        ["Angmarim"] = 1092335089.000000,
        ["Angmarim Look-out"] = 1092335089.000000,

        ["Obscuring Darkwater"] = 1091400592.000000,

        ----- Poison Gardens -----
        ["Sant Lhoer Hauler"] = 1091557934.000000, -- Vine x
        ["Sant Lhoer Soldier"] = 1092335089.000000, -- Angmarim Melee 
        ["Sant Lhoer Priest"] = 1092335089.000000, -- Angmarim Priest 
        ["Sant Lhoer Priestess"] = 1092335089.000000, -- Angmarim Priestess 

        ["Venom-twisted Reaver"] = 1091689660.000000, -- Globsnaga Soldier x
        ["Venom-imbued Ravager"] = 1091388975.000000, -- Globsnaga Troll x

        ["Cráthair"] = 1091400592.000000, -- Boss 1 Angmarim
        ["Tarkka-oka"] = 1091937858.000000, -- Boss 1 Horned Dude x

        ["Venomcap"] = 1091658257.000000, -- Boss 2 Mushrooms x
        ["Grand Cultivator Oganuin"] = 1091400592.000000, -- Boss 2 Angmarim

        ["Very Angry Huorn Sapling"] = 1091921942.000000, -- Boss 2 Small Trees x

        ----- Apothecary -----
        ["Thaurisgar Thrower"] = 1091838420.000000, --Goblin Ranged x
        ["Thaurisgar Troll"] = 1091388975.000000, -- Troll x
        ["Thaurisgar Defiler"] = 1091978439.000000, -- Orc Defiler x
        ["Thaurisgar Warrior"] = 1091978435.000000, -- Orc Warrior x
        ["Kurja"] = 1091937858.000000, -- Boss Fighter x
        ["Kârsija"] = 1091937858.000000, -- Boss Bile Thrower x
        ["Bile Tank"] = 1091520059.000000, -- Boss Tanks x

        ----- Sagroth -----
        ["Iron Crown Warrior"] = 1092335089.000000, --Angmarim Melee
        ["Iron Crown Sorcerer"] = 1092335089.000000, --Angmarim Sorcerer
        ["Iron Crown Skirmisher"] = 1092335089.000000, --Angmarim Ranged
        ["Unctuous Slug"] = 1091944328.000000, --Slug x
        ["Tiny Vermin"] = 1090556198.000000, --Small Rats x
        ["Barghest"] = 1090623301.000000, --Dog x
        ["Rancid Sicklefly"] = 1092464055.000000, --Sicklefly x
        ["Gárvadach"] = 1091965228.000000, -- Boss 1 x
        ["Foetid Darkwater"] = 1091400592.000000, --Boss 1 Darkwater x
        ["Drake Lord"] = 1092335089.000000, --Boss 2 Pre-Transformation 
        ["Rádarríg"] = 1091944329.000000, --Boss 2 King Rat x
        ["Ferocious Vermin"] = 1092342148.000000, --Boss 2 Big Rat 1 x
        ["Robust Vermin"] = 1092342144.000000, --Boss 2 Big Rat 2 x

        ----- Sarch Vorn -----
        ["Grave-spider Hatchling"] = 1091658263.000000, --Small Spider x
        ["Grave-spider"] = 1091978444.000000, --Normal Spider   x
        ["Grave-crawler"] = 1092342143.000000, --Crawler x
        ["Dead-light"] = 1090580172.000000, --Light x

        ["Decaying Barrow-oak"] = 1091921943.000000, --Huorn x
        ["Corpse-rat"] = 1090556198.000000, --Rat x
        ["Grave-wight Warrior"] = 1090530436.000000, --Undead Melee  x
        ["Grave-wight Plaguebearer"] = 1091838417.000000, --Undead Puker x
        ["Grave-wight Archer"] = 1090530174.000000, --Undead Ranged x
        ["Grave-wight Shambler"] = 1090530436.000000, --Undead Headless x

        ["Corpse-beetle"] = 1091658258.000000, --Beetle x
        ["Fladach"] = 1091619418.000000, --Boss 1 x
        ["Shambling Arm"] = 1091658139.000000, --Arm x

        ["Astoryn"] = 1090623301.000000, --Boss 2 Dog 
        ["Luilloth"] = 1092335089.000000, --Boss 2 Humanoid  
        ["Prince Amondir"] = 1092335089.000000, --Boss 3 Phase 1

        ["Essence of Fear"] = 1090580172.000000, --Boss 3 Phase 1 Darkness Balls x
        ["Hithrengor"] = 1091658262.000000, --Boss 3 Phase 2 x

        -- NPC attacks
        ["a weak melee attack"] = 1090552275.000000,
        ["a minor melee attack"] = 1090552275.000000,
        ["a moderate melee attack"] = 1090552274.000000,
        ["a strong melee attack"] = 1090552274.000000,
        ["a mighty melee attack"] = 1090552283.000000,

        ["a weak ranged attack"] = 1090552291.000000,
        ["a minor ranged attack"] = 1090552291.000000,
        ["a moderate ranged attack"] = 1090552291.000000,
        ["a strong ranged attack"] = 1090552320.000000,
        ["a mighty ranged attack"] = 1090552320.000000,

        ["a weak swipe attack"] = 1091401081.000000,
        ["a minor swipe attack"] = 1091401081.000000,
        ["a moderate swipe attack"] = 1091401081.000000,
        ["a strong swipe attack"] = 1091401081.000000,
        ["a mighty swipe attack"] = 1091401081.000000,

        ["Ranged attack"] = 1090552291.000000,
        ["a ranged double attack"] = 1090552291.000000,
        ["a ranged strike attack"] = 1090552320.000000,

        ["a melee double attack"] = 1090552274.000000,
        ["a melee strike attack"] = 1090552309.000000,

        ["Poison Arrow"] = 1090523646.000000,
        ["Water Burst"] = 1091658268.000000, -- 0x4111621C
        ["Disease"] = 1091401231.000000,

        ["Burrowed Attack"] = 1091840253.000000,

        -- Corruptions
        ["Vile Power"] = 1090539274.000000,
        ["Vile Haste"] = 1091400591.000000,

        -- additions
        ["Power Attack Bleed"] = 1091471256.000000,
        ["Mighty Blow Bleed"] = 1091471263.000000,
        ["Unerring Strike Bleed"] = 1091585378.000000,

        ["Precise Blow - Light"] = 1091471262.000000,
        ["Piercing Strike - Light"] = 1091471245.000000,
        ["Spear of Virtue - Light"] = 1091471244.000000,
        ["Spear of Fate - Light"] = 1092809825.000000,

        ["War-cry - Light"] = 1091471234.000000,
        ["Brink of Victory - Light"] = 1091471251.000000,
        ["Surety of Death - Light"] = 1091471237.000000,
        ["Desolation - Light"] = 1091478186.000000,

        ["Fierce Resolve Morale-tap"] = 1091471255.000000,
        ["Resolution Morale-tap"] = 1091471249.000000,
        ["Exultation of Battle Morale-tap"] = 1091471252.000000,

        ["Quick Toss"] = 1091469967.000000,
        ["Behind the Shield"] = 1091469971.000000,
        ["Warden's Aim"] = 1091469965.000000,

        ["a ranged attack"] = 0x410081E3,

        ["Defiant Challenge Retaliation"] = 1091830140.000000,

        ["Reflect"] = 1091805273.000000,

        ["Unseen Strike"] = 1091838425.000000, --cashout
        ["Seared Flesh"] = 1090523648.000000,

        ["Stinging Bleed - Tier 1"] = 1091471256.000000,
        ["Stinging Bleed - Tier 2"] = 1091471263.000000,
        ["Stinging Bleed - Tier 3"] = 1091585378.000000,

        ["Persevere Heal over Time"] = 1092810674.000000,
        ["Safeguard Heal over Time"] = 1091471259.000000,
        ["Restoration Heal over Time"] = 1091471247.000000,

        ["Close Call"] = 1091830101.000000,
        ["Shield-work"] = 1092809841.000000,
        ["Desperate Shield"] = 1092809837.000000,

        -- gambits
        ["Maddening Strike"] = 1092810680.000000,
        ["Spear of Virtue"] = 1091471244.000000,
        ["Precise Blow"] = 1091471262.000000,
        ["Brink of Victory"] = 1091471251.000000,
        ["Ranged Resounding Challenge"] = 1091744833.000000,
        ["Ranged Restoration"] = 1091471247.000000,
        ["Ranged Celebration of Skill"] = 1091471258.000000,
        ["Ranged Fierce Resolve"] = 1091471255.000000,
        ["Safeguard"] = 1091471259.000000,
        ["Ranged Boar's Rush"] = 1091713179.000000,
        ["Resounding Challenge"] = 1091744833.000000,
        ["Warden's Triumph"] = 1091478187.000000,
        ["Ranged Deft Strike"] = 1091713169.000000,
        ["Ranged Combination Strike"] = 1091713174.000000,
        ["Desolation"] = 1091478186.000000,
        ["The Boot"] = 1091509864.000000,
        ["Exultation of Battle"] = 1091471252.000000,
        ["Ranged The Dark Before Dawn"] = 1092812616.000000,
        ["Ranged Reversal"] = 1091713175.000000,
        ["Ranged Safeguard"] = 1091471259.000000,
        ["Spear of Fate"] = 1092809825.000000,
        ["Ranged Power Attack"] = 1091713172.000000,
        ["Surety of Death"] = 1091471237.000000,
        ["Persevere"] = 1092810674.000000,
        ["Combination Strike"] = 1091471242.000000,
        ["Onslaught"] = 1091471232.000000,
        ["Shield Up"] = 1092810686.000000,
        ["Defensive Strike"] = 1091469970.000000,
        ["Wall of Steel"] = 1091471267.000000,
        ["War-cry"] = 1091471234.000000,
        ["Ranged Mighty Blow"] = 1091713177.000000,
        ["Celebration of Skill"] = 1091471258.000000,
        ["Precise Throw"] = 1091471262.000000,
        ["Goad"] = 1091469968.000000,
        ["Reversal"] = 1091478098.000000,
        ["Dance of War"] = 1092810675.000000,
        ["Offensive Strike"] = 1091469961.000000,
        ["Boar's Rush"] = 1091471261.000000,
        ["Ranged Resolution"] = 1091471249.000000,
        ["Ranged Wall of Steel"] = 1091713178.000000,
        ["The Dark Before Dawn"] = 1092812619.000000,
        ["Javelin of Virtue"] = 1091471244.000000,
        ["Deft Strike"] = 1091469969.000000,
        ["Ranged Exultation of Battle"] = 1091471252.000000,
        ["Mighty Blow"] = 1091471263.000000,
        ["Ranged Cauterizing Steel"] = 1092810687.000000,
        ["Resolution"] = 1091471249.000000,
        ["Power Attack"] = 1091471256.000000,
        ["Ranged Persevere"] = 1092810674.000000,
        ["Ranged Boot"] = 1091713170.000000,
        ["Piercing Strike"] = 1091471245.000000,
        ["Ranged Adroit Manoeuvre"] = 1091713176.000000,
        ["Javelin of Fate"] = 1092809825.000000,
        ["Readied Blade"] = 1092809829.000000,
        ["Unseen Strikes"] = 1092810679.000000,
        ["Cauterizing Steel"] = 1092809827.000000,
        ["Fierce Resolve"] = 1091471255.000000,
        ["Ranged Offensive Strike"] = 1091713171.000000,
        ["Ranged Unerring Strike"] = 1091713182.000000,
        ["Shield Mastery"] = 1092810684.000000,
        ["Conviction"] = 1091478183.000000,
        ["Deflection"] = 1092810683.000000,
        ["Adroit Manoeuvre"] = 1092813466.000000,
        ["Shield Tactics"] = 1092810677.000000,
        ["Ranged Unseen Strikes"] = 1092810676.000000,
        ["Ranged Warden's Triumph"] = 1091713181.000000,
        ["Impressive Flourish"] = 1091469960.000000,
        ["Piercing Toss"] = 1091471245.000000,
        ["Restoration"] = 1091471247.000000,
        ["Ranged Onslaught"] = 1091713173.000000,
        ["Unerring Strike"] = 1091585378.000000,
        ["Diminished Target"] = 1091830174.000000,
        ["Marked Target"] = 1091830141.000000,

        -- Skills
        ["Assailment - Stance"] = 1091471236.000000,
        ["The Way of the Spear"] = 1092809830.000000,
        ["Rapid Techniques"] = 1092809835.000000,
        ["Call of the Cavalry"] = 1091787054.000000,
        ["Fire at Will"] = 1091804916.000000,
        ["Invigourate"] = 1091736790.000000,
        ["Spear and Spear"] = 1091659088.000000,
        ["Shield-bash"] = 1091469971.000000,
        ["Shield and Fist"] = 1091471231.000000,
        ["First Aid"] = 1091841116.000000,
        ["Bolstering Cry"] = 1091736789.000000,
        ["Careful Step"] = 1091471265.000000,
        ["Desperate Spear"] = 1092809836.000000,
        ["Skill of the Eorlingas"] = 1091744707.000000,
        ["Never Surrender"] = 1091616388.000000,
        ["Duty-bound"] = 1090553996.000000,
        ["Gambit Default"] = 1091509865.000000,
        ["Battle Preparation"] = 1091692906.000000,
        ["Spear and Fist"] = 1091471238.000000,
        ["Javelin of Deadly Force"] = 1091830152.000000,
        ["For the Free Peoples"] = 1091830171.000000,
        ["Restorative Shield-work"] = 1092809841.000000,
        ["Shield and Shield"] = 1091659090.000000,
        ["Warning Shot"] = 1091469966.000000,
        ["Shield-slam"] = 1090540658.000000,
        ["Hampering Javelin"] = 1091471260.000000,
        ["Defiant Challenge"] = 1091830140.000000,
        ["Fist and Fist"] = 1091659089.000000,
        ["Battle Memory"] = 1091659296.000000,
        ["Quick Recovery"] = 1091476603.000000,
        ["Forced March"] = 1091471264.000000,
        ["Spear and Shield"] = 1091471246.000000,
        ["Assault of the Eorlingas"] = 1091744641.000000,
        ["Desperate Combat"] = 1092809837.000000,
        ["A Warden's Resolve"] = 1091787053.000000,
        ["Fist and Shield"] = 1091471243.000000,
        ["Shield and Spear"] = 1091471250.000000,
        ["Recovery"] = 1091476602.000000,
        ["Steadfast"] = 1091841117.000000,
        ["Fist and Spear"] = 1091471240.000000,
        ["Warden's Taunt"] = 1091469965.000000,
        ["Quick Thrust"] = 1091469967.000000,
        ["Defence of the Eorlingas"] = 1091744704.000000,
        ["Clash of Steel and Will"] = 1091744639.000000,
        ["In the Fray - Stance"] = 1091471233.000000,
        ["Strength of Morale"] = 1090554000.000000,

        -- Minstrel
        ["Cry of the Eorlingas"] = 1091741022.000000,
        ["Call of the Eorlingas"] = 1091741036.000000,
        ["Story of Courage"] = 1090553813.000000,
        ["Fellowship's Heart"] = 1090561250.000000,
        ["The Last Stand of Helm Hammerhand"] = 1091787647.000000,
        ["Spirit of Freedom"] = 1091840997.000000,
        ["Call to Greatness"] = 1091400696.000000,
        ["Hero's Strike"] = 1091830289.000000,
        ["Return to Carn Dûm"] = 1092813663.000000,
        ["Minor Ballad"] = 1090541245.000000,
        ["Ballad - Chant"] = 1091741025.000000,
        ["Improved Cry of the Chorus (Melody)"] = 1090541249.000000,
        ["Improved Cry of the Chorus (Resonance)"] = 1090541249.000000,
        ["Improved Cry of the Chorus (Dissonance)"] = 1090541249.000000,
        ["Call of Oromë"] = 1091400033.000000,
        ["Cry of the Wizards"] = 1090532788.000000,
        ["Lesser Anthem II - Dissonance "] = 1092752394.000000,
        ["Piercing Cry"] = 1090553795.000000,
        ["Song of Aid"] = 1091810081.000000,
        ["Cry of the Valar"] = 1090541232.000000,
        ["Hammer of Rohan"] = 1091741020.000000,
        ["Call to Fate"] = 1091451599.000000,
        ["Coda of the Eorlingas"] = 1091741021.000000,
        ["Resonance - Stance"] = 1091841012.000000,
        ["Scribe Stance"] = 1091403997.000000,
        ["Rejuvenation"] = 1091838418.000000,
        ["The Melody of Battle"] = 1091400693.000000,
        ["Improved Song of Distraction"] = 1090553816.000000,
        ["Raise the Spirit"] = 1090553793.000000,
        ["Anthems of the Rohirrim"] = 1091741038.000000,
        ["Rally!"] = 1091424229.000000,
        ["Greater Anthem II - War"] = 1092752392.000000,
        ["Gift of the Hammerhand"] = 1091400697.000000,
        ["Chord of Salvation"] = 1091401065.000000,
        ["Melody - Stance"] = 1091660966.000000,
        ["Irresistible Melody"] = 1091401066.000000,
        ["Still As Death"] = 1090553818.000000,
        ["Empowerment"] = 1091838422.000000,
        ["Invocation of Elbereth"] = 1090523063.000000,
        ["Anthem of the Free Peoples"] = 1092737861.000000,
        ["Tale of Eorl"] = 1091787261.000000,
        ["Coda of Melody"] = 1091671494.000000,
        ["Major Ballad - Resonance"] = 1091668796.000000,
        ["Intimidate"] = 1091747176.000000,
        ["Song of the Hammerhand"] = 1091585421.000000,
        ["Inspire Fellows"] = 1090553799.000000,
        ["Dissonance - Stance"] = 1091400695.000000,
        ["Call of the Second Age"] = 1091400179.000000,
        ["Improved Enlivening Grace"] = 1090541247.000000,
        ["Quick Stop"] = 1091755699.000000,
        ["Bolster Courage"] = 1090553801.000000,
        ["Perfect Ballad"] = 1090553796.000000,
        ["Coda of Fury - Echo"] = 1091660964.000000,
        ["Harsh Echoes"] = 1091916305.000000,
        ["Coda of Fury"] = 1091660964.000000,
        ["Minor Ballad - Dissonance"] = 1090541245.000000,
        ["Dissonant Piercing Cry"] = 1090553795.000000,
        ["Resonant Piercing Cry"] = 1090553795.000000,
        ["Perfect Ballad - Melody"] = 1090553796.000000,
        ["Dissonant Strike"] = 1090553789.000000, 
        ["Call of Eärendil"] = 1091742917.000000,
        ["Call of Oromë - Melody"] = 1091400033.000000, 
        ["Timeless Echoes of Battle"] = 1091400694.000000, 
        ["Echoes of Battle"] = 1091840495.000000,
        ["Major Ballad"] = 1091840513.000000, 
        ["Healer's Strike"] = 1090553789.000000, 
        -- Blue line
        ["Call to Ioreth"] = 1091830252.000000,
        ["Fellowship's Heart"] = 1090561250.000000,
        ["Perfect Ending"] = 1091874398.000000,
        ["Triumphant Spirit"] = 1091810072.000000,
        ["Call to Greatness"] = 1091400696.000000,
        ["Soliloquy of Spirit"] = 1091451423.000000,
        ["Song of Aid Heal"] = 1091810081.000000,
        ["Raise the Spirit"] = 1090553793.000000,
        ["Raise Our Spirits"] = 1090553793.000000,
        ["Chord of Our Salvation"] = 1091401065.000000,
        ["Improved Chord of Salvation"] = 1091401065.000000,
        ["Inspire Fellows"] = 1090553799.000000,
        ["Major Ballad - Resonance"] = 1091668796.000000,
        ["Bolster Courage"] = 1090553801.000000,
        ["Bolster Our Courage"] = 1090553801.000000,
        ["Vigour of the Free People"] = 1090539151.000000,
        ["Coda of Resonance"] = 1091830266.000000,
        ["Coda of Resonance - Echo"] = 1092742956.000000,
        ["Greater Anthem III - Prowess"] = 1092752393.000000,
        ["Greater Anthem I - Compassion"] = 1092752389.000000,
        ["Lesser Anthem III - Composure"] = 1092752391.000000,
        ["Lesser Anthem I - Resonance"] = 1092752390.000000,
        ["Anthem of the Free Peoples"] = 1092737861.000000,
        ["Improved Story of Courage"] = 1090553813.000000,
        ["Improved Gift of the Hammerhand"] = 1091400697.000000,
        ["Legend of Helm Hammerhand"] = 1091830292.000000,

        -- Hunter
        ["Desperate Flight"] = 1090553947.000000,
        ["Exsanguinate"] = 1091804879.000000,
        ["Passage of Shadow"] = 1090553954.000000,
        ["Improved Quick Shot"] = 1090553925.000000,
        ["Improved Focus"] = 1090553957.000000,
        ["Passage of Nature"] = 1090553952.000000,
        ["Barbed Arrow"] = 1090553904.000000,
        ["Spread of Arrows"] = 1091737498.000000,
        ["Blood Arrow"] = 1091591837.000000,
        ["Improved Penetrating Shot"] = 1090553933.000000,
        ["Track Wood"] = 1090543117.000000,
        ["Intent Concentration"] = 1090541195.000000,
        ["Camouflage"] = 1090553955.000000,
        ["Passage of Foes"] = 1090553953.000000,
        ["Improved Beneath Notice"] = 1091585419.000000,
        ["Find the Path"] = 1090553944.000000,
        ["Low Cut"] = 1090553940.000000,
        ["Improved Merciful Shot"] = 1090553939.000000,
        ["Cry of the Hunter"] = 1091757776.000000,
        ["Noble Arrow"] = 1091737507.000000,
        ["Improved Swift Bow"] = 1090553930.000000,
        ["Establishing Shot"] = 1091737505.000000,
        ["Distracting Shot"] = 1091459007.000000,
        ["Improved Dazing Blow"] = 1091591838.000000,
        ["Purge Poison"] = 1090553945.000000,
        ["Seeking Arrow"] = 1091737504.000000,
        ["Split Shot"] = 1090625142.000000,
        ["Return to Camp"] = 1091388857.000000,
        ["Press Onward"] = 1090532135.000000,
        ["Stance: Strength"] = 1090553959.000000,
        ["Rapid Fire"] = 1091804881.000000,
        ["Blindside"] = 1090553942.000000,
        ["Bright Camp-fire"] = 1090553946.000000,
        ["Stance: Precision"] = 1090553958.000000,
        ["Strength of the Earth"] = 1091388956.000000,
        ["Flay Open"] = 1091737492.000000,
        ["Bard's Arrow"] = 1090532133.000000,
        ["Discipline: Red Dawn"] = 1091737510.000000,
        ["Kill Shot"] = 1091737508.000000,
        ["Barrage"] = 1091829817.000000,
        ["Barrage 2"] = 1091829818.000000,
        ["Barrage 3"] = 1091829825.000000,
        ["Scourging Blow"] = 1090553941.000000,
        ["Scourging Blow Bleed Bonus"] = 1090553941.000000,
        ["Endurance Quick Shot"] = 1090553925.000000,
        ["Pinning Shot"] = 1091804877.000000,
        ["Rain of Arrows"] = 1090553936.000000,
        ["Barbed Rain"] = 1090553936.000000,
        ["Heart Seeker"] = 1091388859.000000,
        ["Heart Seeker Bleed"] = 1091829816.000000,
        ["Upshot"] = 1091804886.000000,
        ["Burn Hot"] = 1091456474.000000,
        ["Searing Heat"] = 1090553929.000000,
        ["The One Trap"] = 1091798545.000000,
        ["One Trap"] = 1091798545.000000,
        ["Decoy"] = 1091829826.000000,
        ["Deadly Decoy"] = 1091829826.000000,
        ["Set Trap"] = 1090524209.000000,
        ["Piercing Trap"] = 1091829819.000000,
        ["Explosive Arrow"] = 1091459008.000000,
        ["Lingering Wound"] = 1091804872.000000,
        ["Lingering Wound (1)"] = 1091804872.000000,
        ["Lingering Wound (2)"] = 1091804872.000000,
        ["Lingering Wound (3)"] = 1091804872.000000,
        ["Lingering Wound (4)"] = 1091804872.000000,
        ["Rain of Thorns"] = 1090532137.000000,


        -- Light
        ["Imp. Quick Shot: Elvish Arrow"] = 1090553926.000000,
        ["Eldarin Arrow"] = 1090553928.000000, -- barbed
        ["Improved Swift Bow: Star-light"] = 1090553931.000000,
        ["Imp. Penetrating Shot: Pierce the Darkness"] = 1090553934.000000,
        ["Luminous Blood Arrow"] = 1090553925.000000,
        ["Blood Arrow HoT"] = 1090553925.000000,
        ["Blood Arrow Heal"] = 1090553925.000000,
        ["Barrage of Light"] = 1091930365.000000,
        ["Barrage of Light 2"] = 1091930368.000000,
        ["Barrage of Light 3"] = 1091930371.000000,
        ["Split Shot: Shafts of Light"] = 1090625144.000000,
        ["Pinning Shot of Light"] = 1091930370.000000,
        ["Rain of Arrows: Light From The Sky"] = 1090553937.000000,
        ["Blinding Upshot"] = 1091930367.000000,

        -- Fire
        ["Imp. Quick Shot: Flaming Arrow"] = 1090553927.000000,
        ["Burning Arrow"] = 1090553929.000000, -- barbed
        ["Improved Swift Bow: Ablaze"] = 1090553932.000000,
        ["Imp. Penetrating Shot: Burn Through"] = 1090553935.000000,
        ["Searing Blood Arrow"] = 1090553925.000000,
        ["Barrage of Fire"] = 1091930364.000000,
        ["Barrage of Fire 2"] = 1091930369.000000,
        ["Barrage of Fire 3"] = 1091930366.000000,
        ["Split Shot: Hail of Fire"] = 1090625143.000000,
        ["Pinning Shot of Fire"] = 1091930373.000000,
        ["Rain of Arrows: Fire-storm"] = 1090553938.000000,
        ["Flaming Upshot"] = 1091930372.000000,


        ["Rain of Thorns Root"] = 1090552381.000000,
        ["Induce Feared"] = 1091402656.000000,
        ["Induce Dazed"] = 1091404640.000000,
        ["Induce Rooted"] = 1090552381.000000,
        ["Draw Attention"] = 1090522264.000000,
        ["Force Attack"] = 1090522264.000000,
        
        -- Runekeeper 
        ["Self-motivation"] = 1091454141.000000,
        ["Inspirational Verse"] = 1091745004.000000,
        ["Writ of Fire"] = 1091440848.000000,
        ["Fixation"] = 1091745001.000000,
        ["Distracting Flame"] = 1091511271.000000,
        ["Superior Evocation"] = 1091787260.000000,
        ["Armour of The Elements"] = 1091478065.000000,
        ["Word of Exaltation"] = 1091454161.000000,
        ["Ceaseless Argument"] = 1091454410.000000,
        ["Scribe a New Ending"] = 1091721240.000000,
        ["Debate"] = 1091745400.000000,
        ["Essay of Fire"] = 1091829841.000000,
        ["Scathing Mockery"] = 1091804926.000000,
        ["Essence of Winter"] = 1091454146.000000,
        ["Shocking Words"] = 1091454170.000000,
        ["Essence of Storm"] = 1091454168.000000,
        ["Oration"] = 1091745006.000000,
        ["Flurry of Words"] = 1091454144.000000,
        ["Speak No Evil"] = 1092595389.000000,
        ["Fiery Ridicule"] = 1091440847.000000,
        ["Power of the Eldar"] = 1090553997.000000,
        ["Chilling Rhetoric"] = 1091454147.000000,
        ["Silvan Shadows"] = 1090554008.000000,
        ["Combustion"] = 1091804898.000000,
        ["Shocking Touch"] = 1091454163.000000,
        ["Essence of Flame"] = 1091829836.000000,
        ["Epic Conclusion"] = 1091454171.000000,
        ["Smouldering Wrath"] = 1091440849.000000,
        ["Invoke the Elements"] = 1091745000.000000,
        ["Caution"] = 1091752921.000000,

        --["Resolution"] = 1091745013.000000,
        ["Eldar's Grace"] = 1090532784.000000,
        ["Writ of Fire - Tier 1"] = 1091494886.000000,
        ["Writ of Fire - Tier 2"] = 1091494887.000000,
        ["Writ of Fire - Tier 3"] = 1091494888.000000,
        ["Extreme Heat: Searing Words - Tier 1"] = 1091510623.000000,
        ["Extreme Heat: Searing Words - Tier 2"] = 1091510623.000000,
        ["Extreme Heat: Searing Words - Tier 3"] = 1091510623.000000,
        ["Fiery Ridicule - Tier 1"] = 1091440847.000000,
        ["Fiery Ridicule - Tier 2"] = 1091440847.000000,
        ["Fiery Ridicule - Tier 3"] = 1091440847.000000,
        ["Improved Final Word"] = 1091511267.000000,
        ["Static Surge"] = 1091804904.000000,
        ["Fulgurite Strike"] = 1091829838.000000,
        ["Concession and Rebuttal"] = 1091804893.000000,
        ["Scribe's Spark"] = 1091454169.000000,
        ["Writ of Lightning"] = 1091829864.000000,
        ["Vivid Imagery"] = 1091914259.000000,
        ["Sustaining Bolt"] = 1091804937.000000,
        ["Volcanic Rune-stone"] = 1091804907.000000,
        --Blue line
        ["Rousing Words"] = 1091804932.000000,
        ["Nothing Truly Ends"] = 1091454143.000000,
        ["Word of Exaltation"] = 1091454161.000000,
        ["Epic for the Ages"] = 1091454160.000000,
        ["Epic for the Ages: Unwavering Confidence"] = 1092813462.000000,
        ["Self Esteem"] = 1091805944.000000,
        ["Our Fates Entwined"] = 1091829845.000000,
	    ["Mending Verse"] = 1091454164.000000,
        ["Do Not Fall This Day"] = 1091454172.000000,
        ["Break The Bonds"] = 1091511270.000000,
        ["Rune-sign"] = 1092815071.000000,
        ["Rune-sign of Winter"] = 1091585423.000000,
        ["Rune of Restoration"] = 1091829852.000000,
        ["Prelude to Hope"] = 1091454167.000000,
        ["Essay of Exaltation"] = 1091515776.000000,
        ["Steady Hands"] = 1091511268.000000,
        ["Writ of Health"] = 1091454166.000000,
        ["Writ of Health - Tier 1"] = 1091478107.000000,
        ["Writ of Health - Tier 2"] = 1091478108.000000,
        ["Writ of Health - Tier 3"] = 1091478106.000000,
        ["Bombastic Inspiration"] = 1091804917.000000,
        ["Bombastic Inspiration Tier 1"] = 1091804917.000000,
        ["Bombastic Inspiration - Tier 1"] = 1092813468.000000,
        ["Bombastic Inspiration Tier 2"] = 1091804917.000000,
        ["Bombastic Inspiration - Tier 2"] = 1092813461.000000,
        ["Bombastic Inspiration Tier 3"] = 1091804917.000000,
        ["Bombastic Inspiration - Tier 3"] = 1092813469.000000,
        ["Prelude of Power"] = 1091829839.000000,

        -- Champion
        ["Enfeebling Cry"] = 1091838424.000000,
        ["Eye for an Eye"] = 1091838416.000000,
        ["Let Fly"] = 1090553767.000000,
        ["Battle Frenzy"] = 1091804924.000000,
        ["Ferocious Strikes"] = 1091804902.000000,
        ["Strength of Champions"] = 1091787264.000000,
        ["Blood Rage"] = 1091459632.000000,
        ["Mounted Strike"] = 1091739272.000000,
        ["Brutal Strikes"] = 1090553754.000000,
        ["Crippling Shot"] = 1091787263.000000,
        ["Fear Nothing!"] = 1091591835.000000,
        ["Swift Strike"] = 1090541125.000000,
        ["Fleetness"] = 1091838409.000000,
        ["Swift Cut"] = 1091739266.000000,
        ["Controlled Burn"] = 1091804918.000000,
        ["Raging Blade"] = 1091804939.000000,
        ["Champion's Duel"] = 1091804891.000000,

        ["Serrated"] = 1091838423.000000,
        ["Champion's Challenge"] = 1090553760.000000,
        ["Remorseless Strike"] = 1090553759.000000,
        ["Sundering Blow"] = 1091739273.000000,
        ["Devastating Strike"] = 1091804923.000000,
        ["Hamstring"] = 1090553765.000000,
        ["Stunning Bellow"] = 1091838425.000000,
        ["Horn of Champions"] = 1091744499.000000,
        ["Coax"] = 1091747180.000000,
        ["Horn Blast"] = 1091739265.000000,
        ["Demoralizing Shout"] = 1091838724.000000,
        ["Dash"] = 1091736791.000000,
        ["Arise"] = 1091747177.000000,
        ["Soldier"] = 1091573311.000000,
        ["Bracing Attack"] = 1091804895.000000,
        ["Bracing Attack Heal"] = 1091804895.000000,
        ["Dire Need"] = 1090541139.000000,
        ["Dire Need Heal"] = 1090541139.000000,
        ["Second Wind"] = 1091425190.000000,
        ["Sprint"] = 1090553762.000000,
        ["Chestnut Horse"] = 1091564750.000000,
        ["Entrenchment"] = 1091838412.000000,
        ["Clobber"] = 1090553763.000000,
        ["Blade Wall"] = 1090553752.000000,
        ["Feral Strikes"] = 1091515785.000000,
        ["Rending Bark"] = 1091838420.000000,
        ["Prized Dark Chestnut Horse"] = 1092118298.000000,
        ["Fight On"] = 1090539699.000000,
        ["Enchanted Vessel"] = 1092542337.000000,
        --["Piercing Roar"] = 1091838417.000000,
        ["Horn of Gondor"] = 1090553764.000000,
        ["Wild Attack"] = 1090553751.000000,
        ["Invigoration"] = 1091838421.000000,
        ["Destabilizing Strike"] = 1091739262.000000,
        ["Incite Foe"] = 1091841541.000000,
        ["True Heroics"] = 1091585417.000000,
        ["Merciful Strike"] = 1090553761.000000,
        ["Direct Soldier"] = 1091573182.000000,

        ["Deep Strikes"] = 1090541133.0000000,
        ["Swift Blade"] = 1090541125.000000,
        ["Rend"] = 1091459631.000000,
        ["Fury of Blades"] = 1091830071.000000,
        ["Born For Combat"] = 1091830102.000000,
        ["Blade Storm"] = 1090553756.000000,
        ["Rend Tier 1"] = 1091459631.000000,
        ["Rend Tier 2"] = 1091459631.000000,
        ["Rend Tier 3"] = 1091459631.000000,
        ["Rend Tier 4"] = 1091459631.000000,
        ["Rend Tier 5"] = 1091459631.000000,
        ["Sweeping Riposte"] = 1091830086.000000,

        -- Guardian

        ["Charge"] = 1091829797.000000,
        ["Shield-smash"] = 1090540658.000000,
        ["Rohan's Edge"] = 1091741463.000000,
        ["Stamp"] = 1090553906.000000,
        ["Sweeping Cut"] = 1090553893.000000,
        ["Goading Strike"] = 1091787649.000000,
        ["Driving Slash"] = 1091741461.000000,
        ["By The Right Flank"] = 1091787286.000000,
        ["Staggering Slash"] = 1091741454.000000,
        ["Whirling Retaliation"] = 1090553902.000000,
        ["Warrior's Heart"] = 1090541182.000000,
        ["Shield-taunt"] = 1090553905.000000,
        ["Improved Sting"] = 1090541160.000000,
        ["Catch a Breath"] = 1090541168.000000,
        ["Shield-blow"] = 1090541166.000000,
        ["Fray the Edge"] = 1091415791.000000,
        ["Guardian's Pledge"] = 1091805278.000000,
        ["Pledge to Rohan"] = 1091741457.000000,
        --["Serrated Edge"] = 1091741462.000000,
        ["Challenge"] = 1090522264.000000,
        ["Ignore the Pain"] = 1091591836.000000,
        ["Shield Wall"] = 1091415795.000000,
        ["Redirect"] = 1091805300.000000,
        ["Shield-swipe"] = 1090541162.000000,
        ["Smashing Stab"] = 1091805247.000000,
        ["War-chant"] = 1091805310.000000,
        ["Thrill of Danger"] = 1090541184.000000,
        ["Litany of Defiance"] = 1091444826.000000,
        ["Clash of Arms"] = 1091741456.000000,
        ["Dwarf-endurance"] = 1090554033.000000,
        ["Vexing Blow"] = 1090541171.000000,
        ["Head-butt"] = 1090554024.000000,
        ["Juggernaut"] = 1091805299.000000,
        ["Guardian's Ward"] = 1090540663.000000,
        ["Stagger"] = 1091415788.000000,
        ["Endurance of Stone"] = 1090554031.000000,
        ["Engage"] = 1091415793.000000,
        ["Pledge of Protection"] = 1091787641.000000,
        ["Retaliation"] = 1090553896.000000,
        ["Bash"] = 1090553898.000000,
        ["Turn the Tables"] = 1090553907.000000,

        ["Guardian's Ward Tactics"] = 1090540663.000000,
        ["Juggernaut Damage Reflect"] =  1091805299.000000,

        ["Flash of Light"] = 1091442277.000000,
        ["Cataclysmic Shout"] = 1091805237.000000,
        ["Force Opening"] = 1091415790.000000,

        ["Hammer Down"] = 1091805297.000000,
        ["To the King"] = 1091805312.000000,
        ["Overwhelm"] = 1091805314.000000,
        ["Thrust"] = 1090553903.000000,
        ["Deep Wound"] = 1090553903.000000,
        ["Brutal Assault"] = 1091449586.000000,
        ["Haemorrhaging Wound"] = 1091449586.000000,
        ["Terrible Wound"] = 1091734471.000000,

        ["Reactive Parry"] = 1091805258.000000,
        ["Prey on the Weak"] = 1091805287.000000,

        ["Bolstering Blocks"] = 1091805259.000000,
        ["Catch a Breath Morale Heal"] = 1090541168.000000,
        ["Bring on the Pain"] = 1090527705.000000,
        ["Honourable Combat"] = 1091916297.000000,
        ["Fighter of Shadow"] = 1091442277.000000,
        
        -- Brawler 
        ["Sinister Cross"] = 1092595471.000000,
        ["Get Serious"] = 1092628691.000000,
        ["Momentous Hit"] = 1091787649.000000,
        ["Low Strike"] = 1092595470.000000,
        ["Overhand Smash"] = 1092598116.000000,
        ["Strike"] = 1091742735.000000,
        ["Bracing Guard"] = 1092693316.000000,
        ["Weather Blows Heal"] = 1092693316.000000,
        ["Joy of Battle Heal"] = 1092598115.000000,
        ["Joy of Battle - Heal"] = 1092598115.000000,
        ["Gut Punch"] = 1092692924.000000,
        ["Mighty Upheaval"] = 1092598109.000000,
        ["The Best Defence"] = 1092598111.000000,
        ["Defensive Posture"] = 1092687525.000000,
        ["Hurl Object"] = 1092687520.000000,
        ["Stout-shield"] = 1092502382.000000,
        ["Ignore Pain"] = 1090553920.000000,
        ["Throw"] = 1091742016.000000,
        ["Come At Me"] = 1092598121.000000,
        ["Quick Feint"] = 1092598114.000000,
        ["Mettle Shield"] = 1092692927.000000,
        ["Joy of Battle - Damage"] = 1091463400.000000,
        ["Helm-crusher"] = 1092685337.000000,
        ["Take a Breath"] = 1091787641.000000,
        ["Reckless Attack"] = 1091744017.000000,
        ["One for All"] = 1091805278.000000,
        ["Fortitude of the Stout-axes"] = 1092502383.000000,
        ["Camaraderie"] = 1091788075.000000,
        ["Follow Me!"] = 1092686890.000000,
        ["Weather Blows"] = 1090541178.000000,
        ["Brash Invitation"] = 1092598119.000000,
        ["Dextrous Hook"] = 1092595472.000000,
        ["Plant Feet"] = 1091916300.000000,
        ["Helm's Hammer"] = 1092598113.000000,
        ["Strike Towards the Sky"] = 1092686889.000000,
        ["Strike as One!"] = 1091831431.000000,
        ["Mocking Taunt"] = 1091787642.000000,
        ["Fulgurant Strike"] = 1091401425.000000,
        ["Backhand Clout"] = 1092598117.000000,
        ["Knee Strike"] = 1092598108.000000,
        ["Pummel"] = 1092598112.000000,
        ["Shattering Fist"] = 1092598120.000000,
        ["First Strike"] = 1091805264.000000,
        ["Battle Fury"] = 1092695531.000000,
        ["Aggressive Posture"] = 1092687521.000000,
        ["Efficient Strikes"] = 1092693209.000000,
        ["Fist of the Valar"] = 1092695530.000000,
        ["Latent Light - Tier 1"] = 1091830148.000000,
        ["Like a Stinging Nettle"] = 1091829805.000000,

        -- Lore master
        ["Improved Sign of Power: Command"] = 1091659745.000000,
        ["Cat-speech"] = 1091472932.000000,
        ["Call to the Valar"] = 1090553887.000000,
        ["Track Mines"] = 1090543115.000000,
        ["Bane Flare"] = 1091399129.000000,
        ["Sign of Power: See All Ends"] = 1091456257.000000,
        ["Enduring Embers"] = 1091742017.000000,
        ["Clever Escape"] = 1091841547.000000,
        ["Sign of Power: Righteousness"] = 1090553882.000000,
        ["Sticky Tar"] = 1091399439.000000,
        ["Dog-speech"] = 1091472933.000000,
        ["Ents go to War"] = 1090531750.000000,
        ["Sign of Power: Vigilance"] = 1090553883.000000,
        ["Blinding Flash"] = 1090541222.000000,
        ["Cracked Earth"] = 1090541218.000000,
        ["Radiant Burst"] = 1091742016.000000,
        ["Gust of Wind"] = 1090553874.000000,
        ["Dispel Corruption"] = 1091478590.000000,
        ["Light of Hope"] = 1090541208.000000,
        ["Hope"] = 1090541208.000000,
        ["Beacon of Hope"] = 1091829956.000000,
        ["Morale Restoration"] = 1091671533.000000,
        ["Wisdom of the Council"] = 1090541220.000000,
        ["Friend of Nature"] = 1091454478.000000,
        ["Lynx-speech"] = 1091400702.000000,
        ["Sign of Power: Inspiration"] = 1091742022.000000,
        ["Metal and Mettle"] = 1091742015.000000,
        ["Back from the Brink"] = 1091401112.000000,
        ["Knowledge of Cures"] = 1090541224.000000,
        ["Power of Knowledge"] = 1091762336.000000,
        ["Improved Burning Embers"] = 1091659750.000000,
        ["Catmint"] = 1091804905.000000,
        ["Storm-lore"] = 1091841005.000000,
        ["Inner Flame"] = 1091804913.000000,
        ["Lightning-storm"] = 1091399989.000000,
        ["Ring of Fire"] = 1091804935.000000,
        ["Sticky Gourd"] = 1091455247.000000,
        ["Raven-lore"] = 1090553821.000000,
        ["Nature's Fury"] = 1091829921.000000,
        ["Wizard's Fire"] = 1092754585.000000,
        ["Wizard's Frost"] = 1092754584.000000,
        ["Water-lore"] = 1091768135.000000,
        ["Friend of Bears"] = 1090553875.000000,
        ["Break Free"] = 1091742419.000000,
        ["Fateful Thunder Boar"] = 1092693293.000000,
        ["Improved Staff-sweep"] = 1091659746.000000,
        ["Bond of the Rider"] = 1091742026.000000,
        ["Staff-strike"] = 1091829958.000000,
        ["Light of the Rising Dawn"] = 1090553888.000000,
        ["Knowledge of the Lore-master"] = 1091402423.000000,
        ["Share the Power"] = 1090541228.000000,
        ["Spur On"] = 1091746500.000000,
        ["Ancient Craft"] = 1091399328.000000,
        ["Wind-lore"] = 1090553885.000000,
        ["Commune with Nature"] = 1091671530.000000,
        ["Lightning Strike"] = 1092812934.000000,
        ["Friend of Feline Hunters"] = 1091454475.000000,
        ["Mearas-lore"] = 1091742023.000000,
        ["A Murder of Crows"] = 1092720668.000000,
        ["A Murder of Crows (AoE)"] = 1092720668.000000,
        ["Eagle-friend"] = 1090531754.000000,
        ["Air-lore "] = 1091873732.000000,
        ["Herb-lore"] = 1091804914.000000,
        ["Share the Power - Fellowship"] = 1091762337.000000,
        ["Warding Knowledge"] = 1091399325.000000,
        ["Fire-lore"] = 1091841003.000000,
        ["Frost-lore"] = 1091841004.000000,
        ["The Ancient Master"] = 1091829950.000000,
        ["Test of Will"] = 1090553879.000000,
        ["Loyalty"] = 1091829944.000000,

        ["Wizard's Fire Burn"] = 1091456314.000000,
        ["Improved Wizard's Fire"] = 1091456314.000000,
        ["Improbable Lightning Strike"] = 1092812934.000000,
        ["Improved Sticky Gourd"] = 1091455247.000000,
        ["Nature's Fury Lightning"] = 1091829921.000000,
        ["Nature's Fury Frost"] = 1091829921.000000,
        ["Smouldering Embers"] = 1091659750.000000,
        ["Burning Embers"] = 1090553820.000000,
        ["Searing Embers"] = 1091659744.000000,
        ["Blazing Embers"] = 1091840569.000000,
        ["Burst of Flame"] = 1091829959.000000,

        ["Fierce Lightning"] = 1091829942.000000,
        ["Sword and Storm"] = 1091829958.000000,
        ["Flanking Manoeuvre"] = 1090531788.000000,
        --bear
        ["Bear Hug"] = 1090553877.000000,
        ["Shatter Arms"] = 1090541019.000000,
        ["Bear's Weak Swipe"] = 1090553875.000000,
        ["Bear's Swipe"] = 1090553875.000000,
        ["Brutal Slash"] = 1090553875.000000,

        -- bog guardian
        ["Bursting Root"] = 1091469991.000000,
        ["Swarm of Bees"] = 1090542265.000000,
        ["Angry Bees"] = 1090542265.000000,
        ["Root Strike"] = 1091469990.000000,
        ["Bog-guardian's Weak Melee Attack"] = 1091454478.000000,
        ["Bog-guardian's Strong Melee Attack"] = 1091454478.000000,

        -- Raven
        ["Raven's Quick Strike"] = 1090553821.000000,
        ["Raven's Strike"] = 1090553821.000000,
        ["Benediction of the Raven"] = 1090553823.000000,
        ["Distraction"] = 1090522261.000000,

        -- Light
        ["Nature's Light"] = 1091671532.000000,
        ["Flashing Flank"] = 1091671531.000000,

        -- Lynx
        ["Lynx's Claw Slash"] = 1091400702.000000,
        ["Lynx's Quick Claw Slash"] = 1091400702.000000,
        ["Savage Bleed"] = 1091401111.000000,
        ["Slashing Claws"] = 1091401081.000000,
        ["Feral Strike"] = 1091401080.000000,
        ["Surprise Attack"] = 1091401079.000000,

        -- Savertooth
        ["Sabertooth's Minor Strike"] = 1091454475.000000,
        ["Sabertooth's Strike"] = 1091454475.000000,
        ["Sabertooth's Strong Strike"] = 1091454475.000000,
        ["Throat Slash"] = 1091478600.000000,
        ["Fury of Winter"] = 1091478599.000000,
        ["Frostbite"] = 1091454473.000000,


        ["Drain Morale"] = 1090531782.000000,
        ["Eagle's Strike"] = 1090531754.000000,
        ["Eagle's Powerful Strike"] = 1090531754.000000,
        ["Eagle's Quick Strike"] = 1090531754.000000,
        ["Fan the Flames"] = 1090531785.000000,

        -- Beorning
        ["Grisly Cry"] = 1091940898.000000,
        ["Cleanse"] = 1091940903.000000,
        ["Ferocious Roar"] = 1091940918.000000,
        ["Bear-form"] = 1091940890.000000,
        ["Vicious Claws"] = 1091940919.000000,
        ["Vicious Claws: Claw"] = 1091940919.000000,
        ["Vicious Claws: Roar"] = 1091940919.000000,
        ["Vicious Claws: Hide"] = 1091940919.000000,
        ["Biting Edge"] = 1091940900.000000,
        ["Bake a Honey-cake"] = 1091934367.000000,
        ["Bee Swarm"] = 1091940896.000000,
        ["Bee Swarm - Greater Swarm"] = 1091941778.000000,
        ["Man-form"] = 1092447930.000000,
        ["Slash"] = 1091940897.000000,
        ["Bear Up"] = 1091952763.000000,
        ["Shake Free"] = 1091940916.000000,
        ["Thickened Hide"] = 1091940987.000000,
        ["Recuperate"] = 1091940911.000000,
        ["Relentless Maul"] = 1091940908.000000,
        ["Guarded Attack"] = 1091940907.000000,
        ["Hearten"] = 1091940912.000000,
        ["Thunderous Roar"] = 1091952766.000000,
        ["Rending Blow"] = 1091940891.000000,
        ["Armour Crush"] = 1091940891.000000,
        ["Slam"] = 1091940917.000000,
        ["Wanderlust"] = 1092431400.000000,
        ["Sacrifice"] = 1091940913.000000,
        ["Feral Presence"] = 1091934647.000000,
        ["Counter"] = 1091940905.000000,
        ["Counterattack"] = 1091945045.000000,
        ["Rush"] = 1091940899.000000,
        ["Thrash - Tier 1"] = 1091940889.000000,
        ["Thrash - Tier 2"] = 1091940893.000000,
        ["Thrash - Tier 3"] = 1091940915.000000,
        ["Broad Thrash - Tier 3"] = 1091940915.000000,
        ["Return to Leitstáth"] = 1092695055.000000,
        ["Bracing Roar"] = 1091934648.000000,
        ["Nature's Vengeance"] = 1091940914.000000,
        ["Steed of Ungwetári's Bane"] = 1092542799.000000,
        ["Vigilant Roar"] = 1091940895.000000,
        ["Claw Swipe"] = 1091940902.000000,
        ["Bash"] = 1091940909.000000,
        ["Execute"] = 1091940920.000000,
        ["Expose (Man)"] = 1091940901.000000,
        ["Expose (Bear)"] = 1091940901.000000,

        ["Call To Wild"] = 1091940988.000000,
        ["Mark of Grimbeorn"] = 1091940906.000000,
        ["Mark of Beorn"] = 1091940894.000000,
        ["Nature's Bond"] = 1091940986.000000,
        ["Overbearing"] = 1091952763.000000,
        ["Piercing Roar"] = 1091940910.000000,
        ["Takedown"] = 1091940892.000000,
        ["Levelling Roar"] = 1091940892.000000,
        ["Serrated Edge"] = 1091941809.000000,
        ["Slash - Tier 1"] = 1091945034.000000,
        ["Slash - Tier 2"] = 1091945021.000000,
        ["Slash - Tier 3"] = 1091945018.000000,
        ["Rake - Tier 1"] = 1091945025.000000,
        ["Rake - Tier 2"] = 1091945037.000000,
        ["Rake - Tier 3"] = 1091945039.000000,

        ["Slam Heal"] = 1091941773.000000,
        ["Nature's Mend"] = 1091940921.000000,
        ["Aid the Assault"] = 1091941767.000000,
        ["Uplifting Roar"] = 1091940904.000000,
        ["Encouraging Roar"] = 1091940904.000000,
        ["Encouraging Roar - Tier 1"] = 1091940904.000000,
        ["Encouraging Roar - Tier 2"] = 1091940904.000000,
        ["Encouraging Roar - Tier 3"] = 1091940904.000000,
        ["Rejuvenating Bellow"] = 1091940990.000000,
        ["Hearten - Grimbeorn's Strength"] = 1091941821.000000,
        ["Bond of Trust"] = 1091941828.000000,
        ["Aiding Strike - Tier 1"] = 1091945028.000000,
        ["Aiding Strike - Tier 2"] = 1091945017.000000,
        ["Aiding Strike - Tier 3"] = 1091945029.000000,

        ["Down But Not Out"] = 1091941766.000000,
        
        

        -- Bash bear guard conflict

        -- Burglar

        ["Contact Pedlar"] = 1091414334.000000,
        ["Find Footing"] = 1090553921.000000,
        ["Diversion"] = 1090541266.000000,
        ["Exposed Throat"] = 1090531743.000000,
        ["Hedge Your Bet"] = 1091804885.000000,
        ["Cash Out"] = 1091804875.000000,
        ["Jollification"] = 1091744030.000000,
        ["Surprise Strike"] = 1090553910.000000,
        ["Gambler's Advantage"] = 1091804871.000000,
        ["Throw Knife"] = 1092406643.000000,
        ["Exploit Opening"] = 1090553915.000000,
        ["Lucky Strike"] = 1091477244.000000,
        ["Subtle Stab"] = 1090541255.000000,
        ["Blind Bet"] = 1091804873.000000,
        ["Improved Hide in Plain Sight"] = 1090541274.000000,
        ["Provoke"] = 1090553911.000000,
        ["Strategic Strike"] = 1091744013.000000,
        ["All in the Wrist"] = 1091744034.000000,
        ["Cunning Attack"] = 1090541253.000000,
        ["Purge Corruption"] = 1091478590.000000,
        ["All In"] = 1091804874.000000,
        ["Improved Addle"] = 1090553916.000000,
        ["Trick: Stratagem"] = 1091766334.000000,
        ["Burglar's Antidote"] = 1091576179.000000,
        ["Ready and Able"] = 1090553919.000000,
        ["Safe Fall"] = 1091635098.000000,
        ["Sneak"] = 1090541275.000000,
        ["Double-edged Strike"] = 1090553914.000000,
        ["Reveal Weakness"] = 1090519172.000000,
        ["Practical Joke"] = 1091414341.000000,
        ["Discipline: Riddermark"] = 1091744010.000000,
        ["Keen Strike"] = 1091744017.000000,
        ["Touch and Go"] = 1090553920.000000,
        ["Improved Riddle"] = 1091659736.000000,
        ["Share The Fun"] = 1091414343.000000,
        ["Burgle"] = 1090553923.000000,

        ["Damaging Gamble 1"] = 1092403354.000000,
        ["Damaging Gamble 2"] = 1092403389.000000,
        ["Damaging Gamble 3"] = 1092403310.000000,
        ["Damaging Gamble 4"] = 1092403282.000000,
        ["Damaging Gamble 5"] = 1092402990.000000,
        ["Damaging Gamble 6"] = 1092403304.000000,

        ["Debuffing Gamble 6"] = 1092406912.000000,
        ["Greater Cunning Bleed"] = 1090541253.000000,
        ["Major Cunning Bleed"] = 1090541253.000000,

        ["Minor Cunning Bleed"] = 1090541253.000000,

        ["Gambler's Advantage 1"] = 1090553912.000000,
        ["Gambler's Advantage 2"] = 1090553912.000000,
        ["Gambler's Advantage 3"] = 1090553912.000000,
        ["Gambler's Advantage 4"] = 1090553912.000000,
        ["Gambler's Advantage 5"] = 1090553912.000000,
        ["Payout"] = 1091804875.000000,
    
        ["Coup De Grâce"] = 1091804878.000000,
        ["Flashing Blades"] = 1090531736.000000,
        ["Feint Attack"] = 1091477240.000000,
        ["Improved Feint Attack"] = 1091477240.000000,
        ["Knives Out"] = 1091414339.000000,
        ["Stun Dust"] = 1091804883.000000,

        ["Trick: Enrage"] = 1090522262.000000,
        ["Trick: Disable"] = 1090541269.000000,
        ["Trick: Counter Defence"] = 1092754832.000000,
        ["Trick: Dust in the Eyes"] = 1090541263.000000,
        ["Trickster: Enrage"] = 1090522262.000000,
        ["Trickster: Disable"] = 1090541269.000000,
        ["Trickster: Counter Defence"] = 1092754832.000000,
        ["Trickster: Dust in the Eyes"] = 1090541263.000000,
        ["A Small Snag"] = 1091477243.000000,
        ["Quite a Snag"] = 1091477243.000000,
        ["Clever Retort"] = 1091414346.000000,
        ["Startling Twist"] = 1091659741.000000,
        ["Improved Startling Twist"] = 1091659741.000000,
        ["Mischevious Glee"] = 1090553918.000000,
        ["Mischievous Delight"] = 1090553918.000000,
        ["Malicious Wound"] = 1090519171.000000,

        -- Captain 

        ["Call to Arms: Archer (Defender)"] = 1092811851.000000,
        ["Call to Arms: Herald of Victory (Lossoth)"] = 1092811853.000000,
        ["Call to Arms: Archer (Pilgrim)"] = 1092811851.000000,
        ["Grave Wound"] = 1091659758.000000,
        ["Grave Wound - Heal"] = 1091659758.000000,
        ["Command Respect"] = 1090553788.000000,
        ["Call to Arms: Herald of Victory"] = 1092811853.000000,
        ["Call to Arms: Herald of Hope"] = 1092811859.000000,
        ["Improved Cutting Attack"] = 1091659767.000000,
        ["Cutting Attack - Heal"] = 1091659767.000000,
        ["Rallying Cry"] = 1092811777.000000,
        ["Words of Courage"] = 1090553779.000000,
        ["To Arms (Shield-brother)"] = 1092812530.000000,
        ["Stand Alone"] = 1092811848.000000,
        ["Chestnut Corgi"] = 1092720100.000000,
        ["Routing Cry"] = 1092811775.000000,
        ["Withdraw"] = 1092811774.000000,
        ["Shadow's Lament"] = 1091476094.000000,
        ["Oathbreaker's Shame"] = 1090533155.000000,
        ["Oppressive Blow"] = 1091742742.000000,
        ["Standard of War"] = 1091829787.000000,
        ["Improved Standard of War"] = 1091829787.000000,
        ["Blade of Elendil"] = 1092811857.000000,
        ["Blade of Elendil - Heal"] = 1092811857.000000,
        ["Time of Need"] = 1092812524.000000,
        ["Telling Mark"] = 1092811779.000000,
        ["Shield-brother"] = 1091585416.000000,
        ["Cleanse Corruption"] = 1092811769.000000,
        ["Call to Arms: Archer (Oath-bound)"] = 1092811851.000000,
        ["Measured Attack"] = 1091744007.000000,
        ["Call to Arms: Archer (Swordswoman)"] = 1092811851.000000,
        ["Call to Arms: Herald of War (Lossoth)"] = 1092811852.000000,
        ["Call to Arms: Archer"] = 1092811851.000000,
        ["Defensive Strike"] = 1092812506.000000,
        ["Defensive Strike - Heal"] = 1092812506.000000,
        ["Healing"] = 1091388814.000000,
        ["Revealing Mark"] = 1092811781.000000,
        ["Gallant Display"] = 1092811771.000000,
        ["Upper-cut"] = 1090553989.000000,
        ["Cry Havoc"] = 1091742737.000000,
        ["Cry Wrath"] = 1091742727.000000,
        ["Cry Vengeance"] = 1091787648.000000,
        ["Call to Arms: Archer (Shield-maiden)"] = 1092811851.000000,
        ["Call to Arms: Archer (Lossoth)"] = 1092811851.000000,
        ["Inspire (Shield-brother)"] = 1092812528.000000,
        ["Inspire (Song-brother)"] = 1092812528.000000,
        ["Inspire (Blade-brother)"] = 1092812528.000000,
        ["Inspire (Morale)"] = 1092812528.000000,
        ["Call to Arms: Herald of War (Maid-at-arms)"] = 1092811852.000000,
        ["Motivation"] = 1091788075.000000,
        ["Call to Arms: Herald of Hope (Man-at-arms)"] = 1092811859.000000,
        ["Improved Motivating Speech"] = 1090553780.000000,
        ["Improved Sure Strike"] = 1091659757.000000,
        ["Sure Strike - Heal"] = 1091659757.000000,
        ["Call to Arms: Herald of Victory (Oath-bound)"] = 1092811853.000000,
        ["Call to Arms: Archer (Warden)"] = 1092811851.000000,
        ["Call to Arms: Herald of War (Pilgrim)"] = 1092811852.000000,
        ["Call to Arms: Herald of War (Shield-maiden)"] = 1092811852.000000,
        ["Call to Arms: Herald of War (Swordswoman)"] = 1092811852.000000,
        ["Call to Arms: Archer (Maid-at-arms)"] = 1092811851.000000,
        ["Call to Arms: Herald of Hope (Lossoth)"] = 1092811859.000000,
        ["Call to Arms: Herald of Hope (Oath-bound)"] = 1092811859.000000,
        ["Make Haste"] = 1092811847.000000,
        ["Escape from Darkness"] = 1090541067.000000,
        ["Return to the Noble Gate"] = 1092695054.000000,
        ["Call to Arms: Archer (Man-at-arms)"] = 1092811851.000000,
        ["Muster Courage"] = 1090541084.000000,
        ["Devastating Blow"] = 1090541118.000000,
        ["Devastating Blow - Heal"] = 1090541118.000000,
        ["Rally the Riders"] = 1091742740.000000,
        ["Call to Arms: Herald of War (Oath-bound)"] = 1092811852.000000,
        ["Call to Arms: Herald of War (Man-at-arms)"] = 1092811852.000000,
        ["Call to Arms: Herald of War"] = 1092811852.000000,
        ["Steed of the Dead City"] = 1092508891.000000,
        ["Battle-shout"] = 1092811858.000000,
        ["Pressing Attack"] = 1090553778.000000,
        ["Pressing Attack - Heal"] = 1090553778.000000,
        ["Command"] = 1091787284.000000,
        ["Kick"] = 1091037684.000000,
        ["Inspiriting Call"] = 1091748558.000000,

        ["Grave Wound - Bleed"] = 1091659758.000000,
        ["Cutting Attack - Bleed"] = 1091659767.000000,
        ["Valiant Strike"] = 1092811770.000000,
        ["Valiant Strike - Fellowship"] = 1092811770.000000,
        ["Focus"] = 1090553787.000000,
        ["Focus Heal"] = 1090553787.000000,
        ["Standard of Honour"] = 1092811849.000000,
        ["Improved Standard of Honour"] = 1092811849.000000,
        ["Noble Mark"] = 1092811783.000000,
        ["Shield of the Dúnedain"] = 1091926678.000000,
        ["Reform the Lines!"] = 1091829785.000000,
        ["Reform the Lines"] = 1091829785.000000,
        ["Gift of Spirit"] = 1092812520.000000,

        ["Threatening Shout"] = 1092811778.000000,
        ["Elendil's Roar"] = 1090541120.000000,
        ["In Harm's Way"] = 1091926677.000000,
        ["At the Fore"] = 1092812518.000000,
        ["Melee Healing"] = 1092812518.000000,
        ["Strength in Numbers"] = 1091829789.000000,
        ["Strength in Numbers I"] = 1091829789.000000,
        ["Strength in Numbers II"] = 1091829789.000000,
        ["Strength in Numbers III"] = 1091829789.000000,
        ["Strength in Numbers IV"] = 1091829789.000000,
        ["Strength in Numbers V"] = 1091829789.000000,
        ["Strength in Numbers VI"] = 1091829789.000000,
        ["Last Stand"] = 1090533270.000000,
        ["Trait: Last Stand Heal"] = 1090533270.000000,
        ["Exemplar"] = 1091840444.000000,
        ["Hammer-stroke"] = 1092812501.000000,
        ["Standard of Valour"] = 1091829786.000000,
        ["Improved Standard of Valour"] = 1091829786.000000,
        ["Song-brother's Call"] = 1091831458.000000,


        ["Herald's Heavy Strike"] = 1092811852.000000,
        ["Herald's Strike"] = 1092811852.000000,
        ["Herald's Weak Strike"] = 1092811852.000000,

        ["Infuriating Tactics"] = 1092811859.000000,
        ["Coordinated Strike"] = 1092811852.000000,
        ["Cutting Strike"] = 1091459631.000000,

        ["Sure Aim"] = 1090553933.000000,
        ["Barbed Arrows"] = 1090553904.000000,

        ["Expert Shot"] = 1092811851.000000,
        ["Quick Shot"] = 1092811851.000000,
        ["Glancing Shot"] = 1092811851.000000,


        ["Cry of Fury"] = 1091831459.000000,
        ["Routing Cry (Defeat)"] = 1092811775.000000,
        ["Inspire: Self-determination"] = 1092812528.000000,
        ["Masterful Strike (To Arms)"] = 1092812528.000000,

        -- Defensive strike conflict warden captain

        -- BlackArrow
        ["Skirmisher Stance"] = 1091472160.000000,
        ["Keen Eye"] = 1091472158.000000,
        ["Hindering Shot"] = 1090555713.000000,
        ["Death Blossom"] = 1090553299.000000,
        ["In Your Face"] = 1091472155.000000,
        ["I See You!"] = 1091405156.000000,
        ["No You Don't"] = 1091405157.000000,
        ["Improved Vital Target"] = 1091405167.000000,
        ["Screaming Shafts"] = 1090555711.000000,
        ["Steadfast Barrage"] = 1091472162.000000,
        ["Revenge"] = 1091472153.000000,
        ["Centre"] = 1091472159.000000,
        ["Cut"] = 1090555714.000000,
        ["March!"] = 1091683968.000000,
        ["Fire Trap"] = 1091472157.000000,
        ["Imposing Presence"] = 1091465870.000000,
        ["Tangleshot"] = 1091472154.000000,
        ["Set Trap"] = 1090553298.000000,
        ["Gash"] = 1091472161.000000,
        ["Headshot"] = 1091472156.000000,
        ["Get a Grip!"] = 1091465866.000000,
        ["Flaming Arrow"] = 1090553300.000000,
        ["Improved Punctured Target"] = 1090555712.000000,
        ["Strong Pull"] = 1090555710.000000,
        ["Explosive Arrow"] = 1091744627.000000,
        ["Snare"] = 1091630872.000000,
        ["Moving Target"] = 1090555715.000000,

        ["Trap Damage"] = 1090553298.000000,
        ["Enhanced Gash"] = 1091472161.000000,
        ["Tangleshot Snare Damage"] = 1091472154.000000,
        ["Explosive Arrow Burn"] = 1091744627.000000,
        ["Piercing Trap"] = 1091630872.000000,
        ["Vital Wound"] = 1091405167.000000,
        ["Default Ranged Attack"] = 1090552291.000000,
        ["Improved Steadfast Barrage"] = 1091472162.000000,

        -- Reaver
        ["Charge!"] = 1091405165.000000,
        ["Against The Odds"] = 1091472534.000000,
        ["Blade Toss"] = 1091625079.000000,
        ["Ravage"] = 1091472537.000000,
        ["Jagged Cut"] = 1090553355.000000,
        ["Thrash"] = 1091472531.000000,
        ["Resilience"] = 1090553265.000000,
        ["Improved Sudden Strikes"] = 1090555704.000000,
        ["Lacerate"] = 1091472529.000000,
        ["Severing Strike"] = 1091472533.000000,
        ["Upper Hand"] = 1091472530.000000,
        ["Blinding Dust"] = 1090555707.000000,
        ["Wrath"] = 1091472535.000000,
        ["Improved Gut Punch"] = 1091657045.000000,
        ["Impale"] = 1091747188.000000,
        ["Glory in Future Victory"] = 1092815119.000000,
        ["Hamstring"] = 1090553267.000000,
        ["Sundering Blow"] = 1090555705.000000,
        ["Devastating Strike"] = 1090555706.000000,
        ["Disarm"] = 1090553266.000000,
        ["Time-Out"] = 1091472539.000000,
        ["Mutilation"] = 1091472532.000000,
        ["Blood of Fire"] = 1091459331.000000,
        ["Blood Lust"] = 1091472538.000000,
        ["Serration"] = 1091472536.000000,
        ["Laceration"] = 1091472529.000000,
        ["Jagged Wound"] = 1090553355.000000,
        ["Savage Wound"] = 1091657095.000000,
        ["Savage Wound (2)"] = 1091657096.000000,
        ["Savage Wound (3)"] = 1091657097.000000,

        -- War leader
        ["Intimidating Shout"] = 1090555716.000000,
        ["Crack The Whip"] = 1090555718.000000,
        ["Cleave"] = 1090555717.000000,
        ["Fracture"] = 1091471925.000000,
        ["Brawler's Stance"] = 1091471924.000000,
        ["Call the Shadow"] = 1091471922.000000,
        ["Command Post"] = 1091405160.000000,
        ["Black Speech"] = 1091405159.000000,
        ["Field Promotion"] = 1090555720.000000,
        ["Aura of Protection"] = 1091471920.000000,
        ["Aura of Command"] = 1090555721.000000,
        ["Shield Bash"] = 1091744624.000000,
        ["Quitters Never Win"] = 1091471918.000000,
        ["Banner of Terror"] = 1091405158.000000,
        ["Quit Whining and Fight!"] = 1090553316.000000,
        ["Commander's Stance"] = 1091471919.000000,
        ["Snap Out of It!"] = 1090553314.000000,
        ["On Your Feet!"] = 1090555719.000000,
        ["Mobilise"] = 1090553315.000000,

        ["Induce Stunned"] = 1090552383.000000,

        -- Weaver
        ["Snaring Web"] = 1090555726.000000,
        ["Mephitic Kiss"] = 1091474607.000000,
        ["Hatchlings"] = 1091405163.000000,
        ["Envenom"] = 1091695310.000000,
        ["Web the Earth"] = 1091405161.000000,
        ["Latent Poison"] = 1090555725.000000,
        ["Cleansing Shadows"] = 1092745488.000000,
        ["Paralytic Venom"] = 1091474615.000000,
        ["Lethal Kiss"] = 1091474608.000000,
        ["Lethal Kiss End"] = 1091474608.000000,
        ["Feast"] = 1091474616.000000,
        ["Venomous Haze"] = 1091531260.000000,
        ["Smothering Web"] = 1091405162.000000,
        ["Clinging Webs"] = 1090553282.000000,
        ["Virulent Poison"] = 1091695309.000000,
        ["Piercing Attack"] = 1090555723.000000,
        ["Piercing Wound"] = 1090555723.000000,
        ["Toxin"] = 1091474612.000000,
        ["Drink Deep"] = 1091695308.000000,
        ["Catch Prey"] = 1091474614.000000,
        ["Grasping Web"] = 1091474610.000000,
        ["Necrosis"] = 1091474613.000000,
        ["Lie In Wait"] = 1090553283.000000,
        ["Entangling Web"] = 1090555727.000000,
        ["Trapdoor Sanctuary"] = 1090553284.000000,
        ["Shadow's Bite"] = 1091474611.000000,
        ["Toxic Carapace"] = 1091745458.000000,
        ["Poison Spray"] = 1090555728.000000,
        ["Tainted Kiss"] = 1090555724.000000,

        ["Mandible Strikes"] = 1091405163.000000,
        ["Hatchling Weak Attack"] = 1091405163.000000,
        ["Lethargic Poison"] = 1091628559.000000,

        ["Improved Lethargic Poison"] = 1090555725.000000,
        ["Improved Mandible Strike"] = 1091628554.000000,
        ["Mandible Strike"] = 1091628554.000000,
        ["Contact Poison"] = 1091657098.000000,
        ["Poisonous Silk"] =  1091658182.000000,
        ["Acid Spit"] = 1091657062.000000,
        ["Strong Acidic Bite"] = 1091628560.000000,
        ["Weak Acidic Bite"] = 1091628560.000000,
        ["Moderate Acidic Bite"] = 1091628560.000000,
        ["Hatchling Attack"] = 1091405163.000000,
        ["Hatchling Strong Attack"] =1091405163.000000,
        ["Susceptibility to poison"] =1090522397.000000,


        -- Warg
        ["Sprint"] = 1090555737.000000,
        ["Dire Howl"] = 1091474189.000000,
        ["Flayer"] = 1091474190.000000,
        ["Piercing Claws"] = 1091744625.000000,
        ["Sense Prey"] = 1091474185.000000,
        ["Savage Fangs"] = 1090555735.000000,
        ["Shadow Fangs"] = 1090555735.000000,
        ["Brutal Fangs"] = 1090555735.000000,
        ["Shadow "] = 1091718775.000000,
        ["Claws"] = 1090555730.000000,
        ["Bestial Claws"] = 1090555730.000000,
        ["Raking Claws"] = 1090555730.000000,
        ["Raking Claw"] = 1090555730.000000,
        ["Raking claw Bleed"] = 1090555730.000000,
        ["Throat Rip"] = 1090555736.000000,
        ["Muscle Tear"] = 1090555736.000000,
        ["Maul"] = 1091474180.000000,
        ["Bloody Maul"] = 1091474180.000000,
        ["Sudden Maul"] = 1091474180.000000,
        ["Agonizing Maul"] = 1091474180.000000,
        ["Tendon Shred"] = 1091405164.000000,
        ["Flea Bitten"] = 1091474181.000000,
        ["Disappear"] = 1090553331.000000,
        ["Poor Map to Isendeep"] = 1091659378.000000,
        ["Good Map to Tol Ascarnen"] = 1091659382.000000,
        ["Frenzy"] = 1091474182.000000,
        ["Crippling Bite"] = 1090555733.000000,
        ["Pounce"] = 1090555732.000000,
        ["Sudden Pounce"] = 1090555732.000000,
        ["Rallying Howl"] = 1090553329.000000,
        ["Rabid Bite"] = 1091474191.000000,
        ["Rend Flesh"] = 1091474188.000000,
        ["Swipe"] = 1091474184.000000,
        ["Brutal Swipe"] = 1091474184.000000,
        ["Good Map to Tirith Rhaw"] = 1091659373.000000,
        ["Scratch and Snip"] = 1091474186.000000,
        ["Stealth"] = 1091116228.000000,
        ["Snap"] = 1091474187.000000,
        ["Eye Rake"] = 1091410679.000000,
        ["Eye Gouge"] = 1091410679.000000,
        ["Eye Gash"] = 1091410679.000000,
        ["Feral Scratch and Snip"] = 1091474186.000000,
        ["Snap!"] = 1091474187.000000,
        ["Topple"] = 1091718773,
        ["Howl of Aggression"] = 1091474189.000000,
        ["Howl of Unnerving"] = 1091424050.000000,



        -- Defiler 
        ["Herb-tender Stance"] = 1092746858.000000,
        ["Anointing of the Slick Flesh"] = 1091473728.000000,
        ["Tenderize"] = 1091473732.000000,
        ["Efflorescence"] = 1091473727.000000,
        ["Blight"] = 1091473731.000000,
        ["Gooey Gourd"] = 1091473733.000000,
        ["Fell Restoration"] = 1091429136.000000,
        ["Curse of the Lethargic Heart"] = 1091429140.000000,
        ["Plague Gourd"] = 1091429139.000000,
        ["Plague of Flies"] = 1091473726.000000,
        ["Explosive Gourd"] = 1091473734.000000,
        ["Curse of Deadly Sorrows"] = 1091429132.000000,
        ["Blessing of Darkness"] = 1091473729.000000,
        ["Fertile Slime"] = 1091429130.000000,
        ["Constant Pain"] = 1091744626.000000,
        ["Fungal Bloom"] = 1091429138.000000,
        ["Curse of the Melancholic Heart"] = 1091473725.000000,
        ["Curse-shouter Stance"] = 1092746851.000000,
        ["Fire Gourd"] = 1091429137.000000,
        ["Fell Sacrifice"] = 1091429135.000000,
        ["Curse of Sticky Feet"] = 1091429134.000000,
        ["Headbreaker"] = 1091429131.000000,
        ["Fungal Spores"] = 1091429133.000000,
        ["Curse of the Coward's Soul"] = 1091429129.000000,
        ["Curse of Rotten Flesh"] = 1091473730.000000,
        ["Stinging Spores"] = 1092746847.000000,
        ["Impending Doom"] = 1092746846.000000,
        ["Defiler's Poison"] = 1091429131.000000,
        ["Blight Spores"] = 1091473731.000000,

        ["Primary Weapon: Disarmed"] = 1090523875.000000,
        ["Induced Knockeddown"] = 1090552383.000000,


        -- Items
        ["Increased Morale"] = 1091804615.000000,
        ["Conspicuous Portent of Vitality"] = 1092667338.000000,
        ["Obvious Portent of Vitality"] = 1092667338.000000,
        ["Conspicuous Portent of Deftness"] = 1092667337.000000,
        ["Obvious Portent of Deftness"] = 1092667337.000000,
    }

    local class = player:GetClass()

    if class == Turbine.Gameplay.Class.Guardian then
        iconTable["Bash"] = 1090553898.000000
    elseif class == Turbine.Gameplay.Class.Beorning then
        iconTable["Bash"] = 1091940909.000000
    end

    if class == Turbine.Gameplay.Class.Champion then
        iconTable["Sundering Blow"] = 1091739273.000000
        iconTable["Devastating Strike"] = 1091804923.000000
        iconTable["Hamstring"] = 1090553765.000000
        iconTable["Sprint"] = 1090553762.000000
    elseif class == Turbine.Gameplay.Class.Reaver then
        iconTable["Hamstring"] = 1090553267.000000
        iconTable["Sundering Blow"] = 1090555705.000000
        iconTable["Devastating Strike"] = 1090555706.000000
    elseif class == Turbine.Gameplay.Class.Stalker then
        iconTable["Sprint"] = 1090555737.000000
    end

    if class == Turbine.Gameplay.Class.Warden then
        iconTable["Defensive Strike"] = 1091469970.000000
    elseif class == Turbine.Gameplay.Class.Captain then
        iconTable["Defensive Strike"] = 1092812506.000000
    end

    if class == Turbine.Gameplay.Class.Hunter then
        iconTable["Set Trap"] = 1090524209.000000
        iconTable["Piercing Trap"] = 1091829819.000000
        iconTable["Explosive Arrow"] = 1091459008.000000
    end

    return iconTable
end

function GetClassLUT()
    return {
        [Turbine.Gameplay.Class.Burglar] = 0x41007deb,
        [Turbine.Gameplay.Class.Brawler] = 0x4120FCD8,
        [Turbine.Gameplay.Class.Captain] = 0x41007de7,
        [Turbine.Gameplay.Class.Champion] = 0x41007dec,
        --[Turbine.Gameplay.Class.Corsair] = 0x41007dec,
        [Turbine.Gameplay.Class.Guardian] = 0x41007de8,
        [Turbine.Gameplay.Class.Hunter] = 0x41007dea,
        [Turbine.Gameplay.Class.LoreMaster] = 0x41007de9,
        [Turbine.Gameplay.Class.Minstrel] = 0x41007de6,
        [Turbine.Gameplay.Class.RuneKeeper] = 0x410ea238,
        [Turbine.Gameplay.Class.Warden] = 0x410ea239,
        [Turbine.Gameplay.Class.Beorning] = 0x4115370d,
    
        [Turbine.Gameplay.Class.BlackArrow] = 0x41007def,
        [Turbine.Gameplay.Class.Defiler] = 0x410e6bf4,
        [Turbine.Gameplay.Class.Reaver] = 0x41007ded,
        [Turbine.Gameplay.Class.Stalker] = 0x41007df1, 
        [Turbine.Gameplay.Class.WarLeader] = 0x41007df0, 
        [Turbine.Gameplay.Class.Weaver] = 0x41007dee, 
    }
end

-- Turtle 0x4100312A
-- Dead 0x41002B7E
-- Wolf 0x41002627 0x4100910F
-- Frog 0x410090DD
-- Salamander 0x41009113
-- Troll 0x410D462F
-- Dwarf 0x4101DDEC 0x410D3E6D
-- Man 0x4100888F 0x410D3E6C
-- Hobbit 0x410D3E6B
-- Elf 0x410D3E6E
-- Bear 0x410E6AAC
