Settings = LoadTable(Turbine.DataScope.Character, "PrimeParseSettings")

function GetDefaultSettings()
    Settings = {}

    Settings.Reload = false
    Settings.Version = PluginVersion

    Settings.OptionsButtonX = 600
    Settings.OptionsButtonY = 600

    Settings.SmallCombatWindowWidth = 300
    Settings.SmallCombatWindowHeight = 200

    Settings.SmallCombatWindowX = Turbine.UI.Display.GetWidth() / 2 - Settings.SmallCombatWindowWidth / 2
    Settings.SmallCombatWindowY = Turbine.UI.Display.GetHeight() / 2 - Settings.SmallCombatWindowHeight / 2

    Settings.Output = "Fellowship"

    Settings.MeterX = 500
    Settings.MeterY = 500
    Settings.ChatOutput = "/say"
end

if Settings == nil or Settings.Reload == true then
    GetDefaultSettings()
end

function UpdateSettings()
    local tempSettings = Settings
    GetDefaultSettings()
    for key, value in pairs(tempSettings) do
        if Settings[key] ~=  nil then
            Settings[key] = value
        end
    end

    Settings.Version = plugin:GetVersion()
end

UpdateSettings()



function SaveData()
    SaveTable(Turbine.DataScope.Character, "PrimeParseSettings", Settings)
end