ClassSkillLabel = class(Turbine.UI.Window)
function ClassSkillLabel:Constructor(parent, x, y, base, normal, baseIcon, visible)
    Turbine.UI.Window.Constructor(self)

    self.base = base
    self.normal = normal

    self:SetParent(parent)
    self:SetPosition(x, y)
    self:SetSize(self.base, self.base)
    self:SetStretchMode(1)
    self:SetVisible(visible)
    self:SetMouseVisible(false)

    self:ChangeIcon(baseIcon)
    --self:SetZOrder(99)
end

function ClassSkillLabel:ChangeIcon(ID)
    self:SetSize(self.base, self.base)
    self:SetBackground(BackgroundHandler:GetBackground(ID))
    self:SetSize(self.normal, self.normal)
end

function ClassSkillLabel:ToggleVisible(value)
    self:SetVisible(value)
    self.IconLabel:SetVisible(value)
end

function ClassSkillLabel:Unload()
    self:SetParent(nil)
    self = nil
end

function ClassSkillLabel:AddBackground(icon)
    self:SetStretchMode(nil)
    self:SetSize(self.base, self.base)
    self:SetStretchMode(1)
    self:SetBackground(BackgroundHandler:GetBackground(icon))
    self:SetSize(self.normal, self.normal)
end
