
MplusOptions = class(Turbine.UI.Control)
function MplusOptions:Constructor(parent)
    local width = 750
    local height = 500
    local font = Settings.LOFont
    local colour = Turbine.UI.Color(1, 1, 1)
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    self:SetParent(parent)
    self:SetPosition(0,0)
    self:SetWantsKeyEvents(true)
    self:SetVisible(false)

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10 - 2, 10 - 2)
    SingleBackground:SetSize(730 + 4, 450 + 4)
    SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10, 10)
    SingleBackground:SetSize(730, 450)
    SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

    local EffectBox = Turbine.UI.Lotro.CheckBox()
    EffectBox:SetParent(SingleBackground)
    EffectBox:SetPosition(10, 10)
    EffectBox:SetSize(600,20)
    EffectBox:SetChecked(Settings.MythicPlusVisible)
    EffectBox:SetText("Instance Window Button/TEQ Timer Visible")
    EffectBox:SetVisible(true)

    EffectBox.CheckedChanged = function()
        Settings.MythicPlusVisible = EffectBox:IsChecked()
    end

    local OpeningButton = Turbine.UI.Lotro.Button()
    OpeningButton:SetParent(SingleBackground)
    OpeningButton:SetPosition(10, 40)
    OpeningButton:SetSize(300,20)
    OpeningButton:SetText("Open Instance Window")
    OpeningButton:SetVisible(true)

    OpeningButton.Click = function()
        if InstanceWindow then
            InstanceWindow:SetVisible(true)
        else
            InstanceWindow = Instances.InstanceInfoWindow()
        end
    end

end