-- Combat timer window
FirstTimerWindowsCombatTimer = class(Turbine.UI.Control)
function FirstTimerWindowsCombatTimer:Constructor(parent)
    local width = 800
    local height = 600
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    --self:SetPosition(x,y)
    self:SetVisible(false)
    self:SetMouseVisible(false)
    self:SetParent(parent)

    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(400, 200)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
    NameLabel:SetText("Combat Timer")


    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(600, 500)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetSelectable(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.Verdana16)
    NameLabel:SetText([[
        
The Combat Timer is as the name would suggest a timer that tracks your time spent in combat. The override option will attempt to track the time spent in combat with a boss. Since dying will reset the timer normally which could be undesired in certain fights, this override will only reset the combat timer if the boss fight ends. This system will only work on tracked boss fights, which can mainly be found in recent raids.]])


    local CheckWindow = CheckWindowTemplate(self, Settings.CTEnabled, "Enable Combat Timer", 100, 200)
    CheckWindow.CheckedChanged = function(sender,args)
        Settings.CTEnabled = CheckWindow:IsChecked()
    end

    local CheckWindow = CheckWindowTemplate(self, Settings.CTOverride, "Enable Boss Override", 100, 220)
    CheckWindow.CheckedChanged = function(sender,args)
        Settings.CTOverride = CheckWindow:IsChecked()
    end

end