FirstTimerWindowsSound = class(Turbine.UI.Control)
function FirstTimerWindowsSound:Constructor(parent)
    local width = 800
    local height = 600
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    --self:SetPosition(x,y)
    self:SetVisible(false)
    self:SetMouseVisible(false)
    self:SetParent(parent)

    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(400, 200)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.TrajanProBold16)
    NameLabel:SetText("Sound Player")


    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetSize(600, 500)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.TopLeft)
    NameLabel:SetMouseVisible(false)
    NameLabel:SetMarkupEnabled(true)
    NameLabel:SetSelectable(true)
    NameLabel:SetPosition(100, 100)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.Verdana16)
    NameLabel:SetText([[
        
Allows you to play sounds on certain events so you get an audio alert on top of a visual one. 
    
Disabling this feature here will only stop the sound commands being printed in the standard chat channel. 
    
If this option is enabled the commands are printed to the standard chat channel but this alone will not result in sounds being played.
    
To unlock all of the functionality you require to log a chat tab with the standard chat channel and have the Prime Sound Player running. To find where to get this and more information visit this link: https://www.lotrointerface.com/downloads/fileinfo.php?id=1106]])

    local CheckWindow = CheckWindowTemplate(self, Settings.Sound, "Enable Sound Player",  100, 320)
    CheckWindow.CheckedChanged = function(sender,args)
        Settings.Sound = CheckWindow:IsChecked()
    end
end