PatchNotesWindow = class(Turbine.UI.Lotro.Window)
function PatchNotesWindow:Constructor()
    local width = 600
    local height = 400
    local x = Settings.LOX
    local y = Settings.LOY
    local font = Settings.LOFont
    local colour = Turbine.UI.Color(1, 1, 1)
    Turbine.UI.Lotro.Window.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    self:SetPosition(x,y)
    self:SetText("Patch Notes")
    self:SetVisible(true)

    self.TextBox = Turbine.UI.TextBox()
    self.TextBox:SetParent(self)
    self.TextBox:SetSize(width - 40, height - 50)
    self.TextBox:SetPosition(20, 40)
    --self.TextBox:

    local containerScrollbar = Turbine.UI.Lotro.ScrollBar()
    containerScrollbar:SetOrientation( Turbine.UI.Orientation.Vertical )
    containerScrollbar:SetParent( self )
    containerScrollbar:SetPosition( width - 20, 40 )
    containerScrollbar:SetSize( 10, height - 50 )
    containerScrollbar:SetValue(0)
    self.TextBox:SetVerticalScrollBar( containerScrollbar )

    self.TextBox:SetText([[
9.2
PrimeUI:
    Added some missing hint text
    Fixed combat check missing after a reload on UIs that interact with skills
    Naming system:
        Fixed certain elements not replacing the <name> tag
    Buffbars:
        Added X/Y offsets for the duration and stack of labels to give more control where the numbers of the label are
        Added smooooooth sorting, for a more luxurious experience while gaming
        Added a wiggle options for labels, because sometimes you just need to party
    Text:
        Added a keyword dropdown menu to more easily add keywords to your text, also contains a short hint about the keyword because I am that nice
Fixed certain PvMP notification not displaying
Fixed readycheck improved system to work again, requires everyone in your group to have the latest primeplugin in order for it to work well
Added nothing else, I swear. Don't worry about it

9.1.9.2
Added naming replacement system:
    Replaces names on elements such as Target window and primeUI elements
Chat parsing fixes
Skillbars will now put skills on cd that are on cd on creation
Added some missing creep skills improved variants
Fixed opacity for skillbars, the values were reversed, they should now work in the way they are labeled

9.1.9.1
Fix for parsing?

9.1.9
Fixed completion for the delving mission Secrets and Plans
PrimeUI:
    Added timed triggers for counters, after the timer expires the added value will be removed from the counter

9.1.8
Changed completion time tracking for delving to only track completed delving to avoid extremely long completion times
Fixed targethandling for morale/temp morale/power for initial situations when the API lacks behind and there is not quickly following update
PrimeUI:
    Added event triggers for condition that set a certain variable to true or false that is counted within the condition\
    Added skill ready trigger to conditions
    Fixed target healthtthreshold for condition and event keywords

9.1.7
Added delving completion tracking:
    Time taken between start and completion
    Completion (succes or fail) data for X mission on Y tier, such as number of completions, fastest time, slowest time and average time
PrimeUI:
    Added delving loading paramters:
        Delving tier or all delving tiers
        Mission (only activates in active delving)
        Only all delvings
    Added Effectadded_Target and EffectAdded to the buffbars UI element
    Fixed skill triggers to not refire when a skill cooldown is getting reduced (using timericon or buffbars and "take time from skill" will reactivate the trigger)
    Fixed some loading issues for old skillbars
    Added Action (Keybinds) triggers for a set of time based UI elements
    Added name filter list to newly created timergroups (use the update button on old timergroups)
        Names can be added to it under the activations tab
        Tick the Use Name_Header_List checkbox under toggles to use the filter system
    Added Text keywords to the text UI element:
        Delving_Tier
        Mission_Name
    

9.1.6
Fixed errors on loading the plugin for the first time
Fixed clearable debuff tracking errors by adding missing enum :)
Fixed stat updating for certain pvmp events
9.1.5
Fixed target window timer creation
Improved memory usage due to more strict loading of data and code
PrimeUI
    Added counter UI element
    Added event triggers UI element
    Added quest and deed triggers
    Added an activations tab to primeUI that lets you toggle a UI element active/inactive

9.1.4
Fixed options item improperly loading
Added simple mouse tracker aura (load state never by default)

9.1.3
Dying in instances will not trigger the fight handling anymore (causing you to gain a wipe on every death or an error)
Alerts/timers are now added to the proper category and selecting them from the dropdown menu will now open them in the correct menu to allow correct editing
PrimeUI:
    Specific character loading should now work
    Removed some debug printing
    Effectboxes should now work with scaling
    Newly created timericons and skilllabels should work again and also properly execute event keywords
    When a PrimeUI has errors it will now not crash the plugin and tell notify the user if a loading error has occured
    HealthThreshold triggers should once again work


9.1.2
KB tracker should now reset daily
Changed Target window to make it look fresh
Added new options page for the refresehd target window
Loot window now scrolls horizontal too
Added more granularity in phases in HH fight tracking which allows for easier tracking of completion time
PrimeUI:
    Updated all PrimeUI options to be more user friendly and better looking because we all know looks are everything
        Importing an already existing primeUI will now prompt you with a message to override said primeUI
        When deleting a primeUI there will now be a confirmation window to avoid accidential deletions
        More options are now changeable for both the primeUI and the UI elements
        There are now two tabs per primeUI; UI element options & General PrimeUI options:
            UI element options: To adjust the settings of UI elements
            General PrimeUI options: To adjust the general settings of the whole PrimeUI such as its loading parameters
    Added more information popups for PrimeUI options that should help clarify what UI elements, UI element options or triggers do
    Added character loading parameter which allows a primeUI only to be loaded on specific character(s)
    Added FightStart, FightPhase, FightEnd triggers that fire on their respective moments in tracked fights
    Added Remove_On_Fight_End setting that clears a UI element when a fight ends (wipe or kill)
    Added CCBreak triggers to Alert and AlertGroup
    Added Highlight triggers for the MoraleBar UI element
    Added PetMoraleBar UI Element to show the morale of your pet (if applicable)
    Added Defeated triggers to timers and timergroup that will trigger for any defeat around you
    Added override for timergroups that will override a timer if a similar timer already exists in the timergroup
    Added effect categories hide options for quickslots that allow you to create quickslots that only show up when a curable effect is applied to the player
    Added new trigger EventTrigger to all UI elements
    Added effect listboxes that track effects on the player
    Added a key word trigger to TimerGroup, Countdown Timer, Circle Timer, Skills, Alert and Alert Group
        Key word triggers fire when the timer/alert expire and activate triggers with that have a matching EventTrigger
    Added nicknames to PrimeUIs that will show up on movement boxes if advanced mode is enabled
    Extended text primeUI with new keywords:
        Player_Morale
        Player_Max_Morale
        Player_Base_Max_Morale
        Player_Morale_Percentage
        Player_Temporary_Morale
        Player_Max_Temporary_Morale
        Player_Power 
        Player_Max_Power
        Player_Base_Max_Power 
        Player_Power_Percentage
        Player_Temporary_Power 
        Player_Max_Temporary_Power
        Player_Level 
        Player_Is_In_Combat
        Target_Name
        Target_Morale 
        Target_Max_Morale 
        Target_Base_Max_Morale 
        Target_Temporary_Morale 
        Target_Max_Temporary_Morale 
        Target_Power 
        Target_Max_Power 
        Target_Base_Max_Power 
        Target_Temporary_Power
        Target_Max_Temporary_Power
        Target_Level
        Pet_Morale
        Pet_Max_Morale
        Pet_Morale_Percentage
        Pet_Temporary_Morale
        Pet_Max_Temporary_Morale
        Pet_Name

9.1.1
Class tools will now automatically disable themselves if they run into any errors while loading
Target window changes:
    The target window now works with different effect tracking which does not allow for proper tracking of no duration effects
    The new method should be much less performance taxing
    To disable the new tracking (at your own risk) there is another option in the target window options (I know the page is a mess but option UI is boring ok)
PrimeUI:
    ResourceUI will now properly handle missing fontColours (Huntertools fix)


9.1.0
Cleaned up targetwindow code, game still sucks
Reworked stat tracking to be less ugly
When the options are open the plugin will no longer reload
DNF tracking now works again
When a corrupted file is detected the plugin will now try to remake the file
The settings reset button now actuall does something
Any image now properly scale to UI size for big alerts, small alerts and timers
Changed Hrimil encounter fight tracker (please stop changing it)
Made the alert options treeview more responses to removing and adding alerts
Alerts and Timers added in the alert options will default to 6 seconds duration if no value is specified
Alert options will now tell you for every part of the trigger components which is added successfully and which failed
Auras:
    Rez tracker should now always show the appriorate time before another rez charge is added
PrimeUI: 
    Massively improved PrimeUI Options loading times for users with many primeUIs
    The bordersize argument now actually does something for timer(group)
    Changed default colour of highlights to white instead of black on black causing the highlight to just be a black border
    Many miscellaneous bug fixes
    Party chat triggers now work for everyone in the party instead of only the leader as source
    Changed countdown to their own window instead of using the default countdown window to allow multiple countdowns at the same time
    Added extra healing trigger to the playerHeal trigger to cover a player healing other players
    Added Minstrel Ballad bars
    Added circle timers
    Resource label text is now clickthrough
    ResourceUI now has font options
    New skill bars now have support for any type of quickslots in their new trigger category "Quickslots"
    Icon and Text UI elements now work correctly for cases where there are multiple of the same trigger effects are applied
    Added the AlertGroup UI Element which can contain multiple alerts at the same time
    Alert UI now apply their settings differently, this may cause differences in existing primeUIs
    Added effects triggers to timers and timer group
        This trigger will keep track of an effect as long as it is applied to you and will remove the associated timers if the effect gets removed
Added primeNote system, check the discord for more information how to use this system

Prime Vitals updated to
    Fixes for target frame showing wrong health visually
    Classic frame is now useable again
    Added brawler mettle bar

9.0.4
Added Hiddenhoard boss completion tracking
Added Hiddenhoard chest locks
Fixed raid locks chat parsing
Brawler red and blue trait lines detection added
PrimeUI
    Advanced UI now treats movement for each of its UI elements seperately
        Due to this change every primeUI now has as origin the top left of your screen
    BuffBar_Target unique property now works correctly
    Sound name -> filename link fixed
    Added new highlight type

Prime Bags updated to 2.1
Fixed bugs when trying to equip an item with only 1 item left in a category
Dragging an item anywhere in the bag will now automatically try to add it an available empty slot
A stack button has been added that when pressed will attempt to stack all stackable items
An armour button has been added that when pressed will attempt to unequip all armour and jewels

Prime Vitals updated to 1.4
Options reworked to fit a more adjustable setup


9.0.3
Reloading now remembers your traitline better
Warden class tools font and bleed detection fixed
Alerts will update itself when new ones are detected
Reworked loot overview
Gundabad raid added to the data
Gundabad weeklies, dailies and instances added to the data
Fixed bear mark auras
PrimeUI
    Added two new chat channel triggers to ui elements that already have a number of chat triggers
        playerhealing: triggers on heals applied to players
        playerbenefit: triggers on benefits applied to players
    Added alert UI element; a text popup on a multitude of triggers
    Skills:
        Polished background and background options
        Improved skills options
        Fixed skill scaling issues
        Added various skills for beorning
        Fixed swapping trait line reloading
    ResourceUI:
        Added an implementation for guarded
    Timers:
        Added toggle for spark

Prime Bags updated to 2.0
    Bags will not constantly resort
    Options window now has an option to set amount for all categories in one go
    When removing items from the bag a category will be removed when you close the bag instead of removal event
    Items are now sorted alphabetically always


9.0.2
Has some fixes for primeUI and alerts.
Included houses of rest to the data.
Added some alerts for houses of rest, to get them you need to update alerts in the alerts/timers section in the option panel.
Added new string formatting for time
Fixes for bufftracker sorting with effects with an infinite duration
Added animation for resource bars
Added diagnostic window for testing purposes
Added battle gauntlets category to prime bags
Reduced initial options load time, every category will now only load upon request

PrimeUI:
Added several missing creep skills
Added a skilllabel, mostly the same functionality as a timericon but should be cleaner to use.
Improved skill quickslot functionality
Added offset to buffbars and skill bars
Added resourcebar implementation for blackarrows


9.0.1
Fixed crash on startup if there are no accountstats
Fixed crash on startup if there is no skill data for a class
Added more instance detection to the plugin

9.0.0
Added PrimeUI, check the plugin for more information
Removed several auras since their functionality is covered by primeUI
Removed raid cooldown and active timers as their functionality is covered by primeUI
Removed target window extra pvp functionality as its functionality is covered by primeUI
Combined the loot window and the TEQ window into the instance window
Added a historic data sections to the instance window
Increased data collection upon first time completion of a raid encounter

Prime Vitals and Prime Party Vitals are now moved by a button in the plugins manager option panel for their respective plugins

Prime Bags updated to 1.8
The bag no longer tries to items that are already in your backpack
The bag no longer tries to remove items that are not in your backpack 
Initial creation should have less chance to get stuck

8.4
Group timers now use proper indexes for their information

8.3.5
Fix for versioning

8.3.4
Fix for class specific resourcebars

8.3.3
Added burg aura for tracking enrage and disable (+trickster versions)
Added new alerts
Adding specific instances or roles to alerts should now probably add the name of instance/role instead of their ID
Unique timers should once again actually be unique
Update prime bags to Version 1.7
    Added search bar
    Resize handle now moves if window is resized through window inputs

8.3.2
Fixed saving of combat text alerts

8.3.1
Sabertooth pet aura is now the sabertooth instead of the lynx skill
Removed the stopping of the rez timer when reaching 5 (max) rez count

8.3.0
Alerts options have been reworked to allow all customization in the plugin be available through the options:
    - All alert options can be found in the new tab "Alerts/Timers" in the options
        * All old alert system tabs are removed
        * All old self made alerts are not ported to the new system
        * All old window settings can temporarily be found in the "Alerts/timers windows" tab in the options
    - Alerts and timers are now stored per account
Various class tools (options) bug fixes

8.2.2
Fixed delay on class tools skill cds timer update
Target window timers should now properly update the tier of the effect applied
Updated prime bags to 1.6
    Added options to adjust minimum amount to be its own category
    Added currency options
    Categories now resort themselves when adding/removing/moving items
    If a categoy can be its own (more than miscellaneous amount) it will split from miscellaneous and become its own category

8.2.1
Added shadow zone aura
Fixed various bugs with rez tracker
Added frost pet to lm pet debuff aura
Forced consistent order on lm pet debuff aura
Fixed some bugs with minstrel class tools
Fixed various small bugs with auras and class tools

8.2.0
Buff bar timers now have less jitters when adding and removing timers
Sound effect string should now be printed first to avoid problems with LOTRO client logging
All timers have options for textures and their opacity and width can be adjusted
Added "Aura" category for simple tools
Moved portents and threshold timers to the aura category
Added load parameters for tools in aura category
Added revive timer to aura category
Added Minstrel class tools
Added Captain class tools
Added sound options, now possible to add your own filenames to the plugin
All class tools now have options to toggle buffs on or off and add your own buffs
Some class tools bugs have been fixed
Implemented some remmorchant timers from old notes (they might be slightly off)
Added captain pet aura
Buff bars now do not share their with settings with the target window anymore
Each buff bar now has a unique width and sorting setting
Added lm bet debuff aura with catmint notification
Added lm air lore tracker and notifier aura
Skill trackers should now properly remove callbacks
Added mark of beorn aura
Added mark of grimbeorn aura
Added Inspiriting presence aura added
Removed inspiritng presence effect alert since it got replace by an aura
Added scropestate aura
Moveboxes look nicer and will show you which one you are moving by changing colours
Most changes in the options will not force reload the plugin instantly anymore but rather when you close the options panel\
Disabled targetboxes till I find a better use for them
Completing non tracked quests will no longer put the character on the loot table

8.01
TEQ timer now properly hides when when disabled in options
Load/Unload buttons should no longer draw themselves when they are outside their visible listbox
Class tools now have support for scaling into the y direction
    * Options now have x-axis priority and y-bar settings
    * Special bars (hunter/beorning stance bar will always put themselves undereath the lowest bar)
    * Possible to have bars start on y = 2+
    * Some of the default bars have been updated, this change is only noticable if you haven't used these tools before
    * I recommend playing around with a better setup yourself
Warden buffs are now above their bleed bar in their class tools
Enabled skills for warden tools, they are a mess and will require manual sorting if you want to set them up
Removed numbers getting bigger when low cd on skill overlay
When killing the last enemy forces needed to complete count the timer will now properly update to 100%
Captain blue line's role is now healer instead of tank
Deaths of your party members should now properly increase the death penalty in dungeons
Target window should now more aggressively release its memory
Sound options added for skill overlays
Sounds should once again work
Width options added for buff bars and skill trackers
Added brawler to data
Option to only show the combat timer while in combat
Now 25% more smug
Added puddle alert alert for woe
Fixed skill overlays not having correct length, you might need to reposition your bars
Added seasons to TEQ, defined everything pre Remmo as season 0 and post as season 1
Only the current season top scores count towards your total TEQ score
Skill timers and active timers now have a setting that only makes them visible in instances/raids, it is enabled by default
Removed the welcome spam in remmorchant
You will be warned when you have the target window enabled and enter an instance since it can impact performance on certain raid bosses
Moved roots of fangorn alerts to only load when entering that instances since it contains a lot of recycled effects
Class specific effects now load again for the target window
8.00
Dungeon scoring system added:
    * When entering cap dungeons on T2 or higher you can test your skill against a timer
    * To complete the dungeon you need to kill all bosses and a certain amount of trash
    * Deaths give a 5s penalty each
    * The timer starts the moment you enter
    * Leaving mid dungeon will make the timer reset
    * Killing all bosses and enough trash will complete the dungeon and you will be given a TEQ-score
    * Highest scores will be saved and can be found in the TEQ score overview
    * All 130 instances are included
TEQ-score overview window and toggle button added
TEQ toggle button default position is top right of the screen, you can drag it around
New timers wooohoooooo
Sorting of timers first on duration then on name
Skill overlays reworked:
    * Scaling per bar
    * Possible to add background to skills
    * Possible shaded background timer
    * Loading bars per traitline or all lines
    * Reloading bars when switching trait lines to avoid missing skills
    * Option for vertical bars
    * Option to hide boxes while the skill is ready to use or on cooldown
    * Option to hide the text countdown
    * Moveable option per bar from the skill overlays menu
    * Move boxes now fit the max size of the created bars
Disabled skill windows since its functionality is now covered with the new skill overlays
Removed the block some features had when you entered situation that could potentially have targets with a lot of effects
Added timers for skill usage
    * When a skill is used a timer can be started
    * Each timer can have a stack amount so you can track skill used against an enemy
    * Timers can display the name of their target, then the max stack count is calculated based on max stack per skill per target
Fixed instance specific timers not showing up
Reworked readycheck window
    * New window UI
    * Will now notify you if everyone is ready or who did not respond within a minute
Reworked settings into profiles
    * Current settings (if they exist) are now saved in the profile for the current character
    * You can load other profiles by selecting them in Options > Settings or the First time setup
Loot window should new refresh properly on new loot
There is now a timezone option for the loot reset, it can be found in the first time setup or Settings > Loot Settings
Cooldown timers and active skill timers have visible move boxes again
Swap data will now update positions upon save to avoid resetting positions while still moving and then reloading
Chat commands now work again on creep side
Roles (tank/heal/support/dps) are now assigned based on trait line
Each role now has their own set of alerts in addition to the default alerts  
Most instance specific alerts have been moved to only loading when entering their corresponding instance (NOTE: The plugin will only load the alerts if it was loaded before entering the instance)
Combat timer is now properly clickthrough
Class tools added for guardian blue line (beta): (Enable this in options > class tools)
    * Different UI that is more interactive so it is possible to have all information needed in the middle of the screen
    * Shows fortification stacks in a clear way, no more looking at the your effects
    * Interactively shows opened block parry skills
    * Smashing stab skill updates when its effect changes from default -> bleed or stun -> CJ
    * A clear break ranks availability timer, it will also show in the same spot as block/parry skills when it is useable
    * Shows your own small cooldowns (redirect/stoic/Bring the pain) on the left side of the fortification
    * Shows your big cooldowns (pledge/jugg/wh) on the right side of fortifications
    * Shows timers on skills to have clearer indiciation how long is still left on the cooldown
    * Shows timers on cooldowns applied to you to clearly show how long is left
    * Shows timers on block/parry skills to clearly show how long you can still use them (aka how long the block/parry response is still open)
    * When out of combat shows a timer to show how long it takes for all your buffs (fortification/bolster/smashing stab) to time out
Added chat/effect/timer alerts for some legacy dungeons and raids:
    * Great Barrows
    * Garth Aragwen
    * Fornost
    * Barad Gularan 
    * Sammath Gul
    * Helegrod 
    * Fil Gashan
    * Grand Stair
    * Forges
    * Sword Halls
    * Dungeons of Dol Guldur
    * Barad Guldur
Added a plugin manager
    * The primeplugin can now load/unload every plugin you have available
    * Options located in options > plugin manager
    * Load options are: 
        - Always (loaded when the prime plugin is loaded) 
        - Instances (loaded when you enter an instance) 
        - Ettenmoors (Loaded when you enter the ettenmoors)
    * Supports all plugins
    * Settings saved per character
Increased the number of instances supported to the current set:
    Mirkwood
        * Warg Pens of Dol Guldur
        * Sammath Gûl
    Moria
        * Dark Delvings
        * Fil Gashan
        * Skumfil
        * Forges of Khazad-dûm
        * The Grand Stair
        * The Sixteenth Hall
    Garth Aragwen
        * Arboretum
        * Barrows
        * Fortress
    Anvil
        * The Depths of Kidzul-kâlah
    Minas Morgul
        * The Harrowing of Morgul
        * Eithel Gwaur, the Filth-well 
        * Gath Daeroval, the Shadow-roost
        * Gorthad Nûr, the Deep-barrow 
        * Bâr Nírnaeth, the Houses of Lamentation 
        * Ghashan-kútot, the Halls of Black Lore 
        * The Fallen Kings 
        * Shakalush, the Stair Battle
        * Agoroth, the Narrowdelve
        * Woe of the Willow
        * Boss from the Vaults: Naruhel
        * Bee's Big Business
        * Askâd-mazal, the Chamber of Shadows
    Raids
        * Barad Guldur
        * Remmorchant, the Net of Darkness
        * Amdân Dammul, the Bloody Threshold 
        * Filikul
        * The Vile Maw
Added bubble timer for the threshold jewellery set
Fixed wrong save order so no data gets missed
Deleted swaps for items do not reappear
Hiding windows does not produce an error anymore
Making a new trait page will now also trigger trait tool reloads (if not minimal or detectable)
Sorting of class tools skill now goes per bar first and then per priority
Class tools added for Beorning all lines: (Enable this in options > class tools)
    * Different UI that is more interactive so it is possible to have all information needed in the middle of the screen
    * Shows wrath bar above your skills
    * Shows all the beorning buffs you can acquire in a dynamic overview
    * Shows timers on skills to have clearer indiciation how long is still left on the cooldown
    * Shows timers on cooldowns applied to you to clearly show how long is left
    * When out of combat shows a timer to show how long it takes for certain ferocious buffs to fall off
    * Slash bleed tracking possible (enable/disable in options)
    * Ferocious roar free heal tracking possible (enable/disable in options)
    * Skills that apply certain effects or bleeds are tracked in their duration of said effect or bleed
    * Shows marks and forms under your skills
    * Only the active form is shown and switches based on your actions
Class tools added for Hunter all lines: (Enable this in options > class tools)
    * Different UI that is more interactive so it is possible to have all information needed in the middle of the screen
    * Shows power bar above your skills
    * Shows focus above your skills
    * Shows all the hunter buffs you can acquire in a dynamic overview
    * Shows timers on skills to have clearer indiciation how long is still left on the cooldown
    * Shows timers on cooldowns applied to you to clearly show how long is left
    * Skills that apply certain effects or bleeds are tracked in their duration of said effect or bleed
    * Stances shown at the bottom of your skills
New optionsbutton, you can toggle the old one in settings > New options button enabled
Class tools added for Warden all lines: (Enable this in options > class tools)
    * Tracks duration, application and removal of all your DoTs as accurate as possible
    * Can add or remove dots in options
    * Option to have more accurate tracking as well as javelin debuff tracking included (may impact performance)
    * Skill overlay disabled for now
Moved T1 instances to daily tab in the loot window

Update Prime Bags to 1.4
    * Adding/removing/swapping items will now automatically update the item positions to fit their categories
    * The entire window is now resizable in the lotro UI way
    * Collapsed all empty slots in a single slot to not waste space
    * Sorted the last item categories and added some item categories that are missing from the API default set
Update Prime Vitals to 1.2
    * More customisation options
        - Added a slimmer style that should fit better if you dont have the screen space
        - Ability to turn off debuff/buff tracking
        - More options for placing of text
        - Number on the resource bar
    * Changed default colours until I can be bothered to build colour options
    * Resolved inaccuracies with resourcebar (fervour/attunement) positioning
    * Changed default settings to reflect a more optimal setting
    * Target vitals now work again
    * Target vitals have their own effect tracking
    * Vitals now turn more red when getting low (can be toggled)
    * Red aura around your screen added when getting low (Can be toggled)

7.10
Added Saving/Loading for EU clients
Added sorting methods to skill timers
Updated Prime Vitals to V1.1
Updated Prime Party Vitals to V1.1
Updated Prime Bags to V1.3
Updated Prime Parse to V1.4

7.09
Added partyvitals V1.0
Updated Prime Bags to V1.2
Updated Prime Parse to V1.3

7.08
Fix for account settings always being loaded

7.07
Fixed cd popup threshold
Fixed cd popup move window not being clickable
Fixed fake cd popups
Fixed flickering of massive negative cd on skill overlay
Fixed skill overlay not skipping gaps in the overlay
Improve skill overlay options UI
Added Prime Vitals V1.00
Added Prime Bags V1.00
Updated Prime Parse to V1.02
Added possiblity to use account wide settings (this will adopt the settings of the first character enabling it)
Changed soundeffects for remmorchant and the new raid
Included Turbine files with plugin for dependencies

7.06
Fixed instances locks
Added bounties weekly

7.05
Improved sorting of unique timers
        
7.04
Reset customs effect alerts to avoid errors from old data

7.03
Fixed error on adding chat alerts
Changed the chat alert custom alert options around to be easier to understand and use
Moved added chat alerts to account wide instead of character wide
Fixed wrong timers on reload in buff windows
Added more advanced options
Added scaling for skill timers, set default to 0.5
Added scaling for weapon swappies
Added opton to put text in screen for more clarity 
Reenabled instance loot locks (woops mb)
Only tracked chest openings will trigger loot window entries now
Changed the skill timer custom alert options around to be easier to understand and use
Added patch note window for ingame 
Added entries for new instances in the dungeon log
Added popups when skill overlay detects a skill is ready to use again. Default threshold is set at 20
Updated adam whatever alerts up to T3
Increased wipe counter accuracies

7.02
Fixed error for player effects on certain tool settings 

7.01
Fixed error spam when disabling certain tools

7.00
Daily KB counter now correctly changes appearance on kbs instead of deaths
Reworked loot window
Added targetbox window
Added fight tracker for the new raid
Buff window icons are now not off center anymore
Clicking on timers should now not bring the background forward
Highest multikill should now be saved instantly instead whenever you fail the streak
Only timers that need to interact with the mouse are visible to the mouse, others you can click through
Skill timers should now sort properly again
Added raid mode to the combat timer
Moved all options to master options panel
Target window now hides itself when you are not targetting anything
F12 now hides all plugin UI
Changed options UI
Completely revamped swap system

6.49
PvMP multi kills now track properly and are now not 1 kill off
Added controls for pvp timers and skill alerts
Fixed pvmp timers errors
Fixed chat errors
Increased possible length of alerts
Added more salt
Added missing help commands
Multikills > Kill streaks?!

6.48
Raid assist targets can now issue commands to the raid
Added first time setup
Fixed permanent timers not having background
Alerts are now always one line
Changed dps tracking on the target window around to be more robust

6.47
Split up moving windows since there are too many windows now

6.46
Fixed stat errors
Fixed error on nil value on reset time

6.45
Fixed daily kb reset

6.44
Actually implemented the tracking stat
Fixed errors on saving stats

6.43
No more welcome message spam
Added more pvp stats
Added more pvp functionality

6.42
Updated loot locks to work with changed remmorchant chests (SSG please just pick one format AND STICK WITH IT)
Added more stats
Updated some effect alerts
Daily pvmp deaths should now only track inside the ettenmoors
You can now open the kb/death window through the options button if it fails to load when entering ettenmoors or just because you feel like it

6.41
Added kill messages
Movebox have lowered opacity for ease of use

6.40
KB tracker now renables on reload for freeps

6.39
Fixed readycheck errors
Fixed error on skillwindow when skill was on cooldown

6.38
Fix for death error

6.37
Changed wonkiness with countdowns on small alerts
Circle > Square?
Go make some pvmp KBs
Added KB/death counter to freep side
Disabled temporary say commands 
Updated stat window with new pvp stats and misadventure stat
Updated the options menu to make it less cluttered

6.36
Added daily KB and Death counter for the ettenmoors

6.35
Countdown workaround for unavailable chat server

6.34
Code structure change

6.33
Added sortingmethods for buff tracker
Clicking on effects on the buff tracker and adding them to filters will now reload with the newly updated filters
Added timers for shelob
If the note window has content in between (re)loads it will now also put a notification how to remove it in chat when it reloads instead of only loading

6.32
Removed big decimal number at start of cooldown on the skill overlays
Added a scale option to the skill overlay options where you can set your skillbar scaling
Skill overlays and skill window now supports multiple cd items per skill
Added roost and harrowing to the dungeon log

6.31
Fixed null value for effects applied before loading the plugin
Fixed showing filters for buff tracker

6.30
Added buff bars because I was bored
Timer management is better now

6.24
Fix for broken timers
Fix for ready check errors

6.23
Fixed skill overlays
Fixed reloading issue for instances
Fixed some issues with timers in certain situations
Removed some leftover debug print

6.22
Reduced updating load of timers and alerts
Changed GC behaviour of the targetwindow
Changed some colours because I felt like changing colours somewhere
Changed global variable calls to local calls wherever possible
Added option to show all effects on targetwindow

6.21
Further performance changes to the targetwindow
Targetwindow options now work, who would have thought mindlessly copying code was bad huh
Optionsbutton now contains options to clear skill timers and clear the countdown
Readycheck window now does not show scrope status since it does not work anyway
Fixed errors when adding effects to the target window
Alerts are now sorted by duration and will resort themselves when one expires or gets added
If more than 15 (default) alerts are present the 15 alerts with lowest duration will be shown all others will be on on top of eachother at the top of the list
Fixed a ton of memory leaks
Group metadata is now handled more data friendly
Fixed combat timer showing too many decimals in its memory
New default values for the boss cd window
Skill timers now show their current values in options again
Changing the size of the alerts window will now scale correctly
Added alerts position to options so you can find it incase changing the height made it go off screen
Resorting of boss CDs should now be more efficient and use correct sizes
Sorting of timers on targetwindow should now be more robust
Sorting skilltimers is now done more efficiently
Moved shadow king alert to a timer and gave the chat message an alert and timer too (This can lead to double timers but will always catch the aoe cd)
Added The Rift of Nûrz Ghâshu alerts and timers
Added alerts to Dâr Narbugud
The plugin now detects if enter a handful of raids, functionality to be extended in the future
Seperate skill reminders now have better cd visualisation

6.20
Combat effect tracking now works again
/prime reset now works again
Performance changes to the target window
Performance & UI changes to timers
Countdowns persist through reloads

6.10
Removed tracking damage dealt and healing so it plays nice when you have CA up and running too

6.00
Recording some basic stats
Added options to Skill timers, Effect alerts, Chat alerts and loot locks to customise your own alerts, timers and chests

5.30
If targetwindow is enbaled it will now auto disable when you enter a group bigger than 3
Added action skill bar cooldowns bar with options naming blablabla
Can now move windows if the target window is disabled

5.20
Option to disable effect tracking on the target window (It is now disabled by default)
Performance updates on effect tracking of the target window

5.11
Timer for shadowed king aoe
Target window now shows inc damage debuff and inc damage buff on the shadowed king fight

5.10
Better tracking of buffs without durations
Added enabling/disabling of target window to target window options 
Added changing of height and width of target window to target window options 
Added shadowed king's T3+ chest to loot tracking since SSG changed their naming scheme again :)
Further performance tweaks to the target window

5.00
T3 loot is not mistakenly labelled as T2 loot
Small changes to a number of effect alerts
Effect alerts can now use their own effect icon in addition to no icon or standard icon
Some broken test options buttons now work again
Auto reload on adding/removing swappies
Changed skill window around
Performance upgrades for effect alerts
Performance upgrades for the ready check window and button
Performance upgrades for any object that was updated
Moved toggle enabling disabling windows to its own menu within the options menu
Added target effect tracker that will track a certain set of debuffs (so you dont have to turn effects on), it will also track the target's % morale and dps on your target. Last 6 combats are saved (longer than 10 seconds and more than 10k DPS) and can be viewed by clicking on the targetwindow
Target options window to add/remove effects from tracking. Can be found options button > toggle menu > Target window options
Currently tracked effects of the target window:
    -- Raid effects
        Pained Determination -- Shelob
        Impenetrable Webs -- Shelob (with stack count)
        Blood-Infused - -- Rukhor (with stack count)
        Penetrated Shell -- Thossulun +50% inc damage
        Elusive -- Sideboss
    -- Freep effects
        Ancient Craft
        Oathbreaker's Shame
        Oaths fulfilled
        Knives out
        SoD
        Last Stand
        Fates
    -- Incoming healing debuffs
        Grievous Wounds
        Blight
        Festering Wound -- VT inc heal debuff
        Subtle Stab
    -- CC immunities
        Daze and Stun Immunity
        Root Immunity
        Fear Immunity
        Immunity
        Temporary State Immunity
        Continuous Blood Rage
        Juggernaut
        Tactically Sound
    -- Creep effects
        Moving Target
        Steadfast Barrage (moving only)
        Blight
Currently tracked class effects: (These will only show if you are on a specific class)
    Beorning:
        Armour Crush
        Debilitating Bees
    Captain
        Armour Rend -- Pet debuff
    Loremaster:
        Fire-lore
        Frost-lore
        Shatter Arms
        Ranged Critical Chance
        Nature's Light
        Benediction of the Raven
        Charged Air -- Air lore
    Runekeeper:
        Writ of Lightning
        Do Not Fall Today
    Warden:
        Low Bleed - Quick Sweep
        Medium Bleed - Quick Sweep
        Marked Target
        Diminished Target
        Hampering Javelin
    BlackArrow:
        Hindering Shot

4.00
Added swap warner, add your swap names to get an alert if you have your swap weapon equipped
New commands: (Remember to use them type: /prime <command>)
* AddSwap <name> - Adds the name of a swap item to the plugin
* RemoveSwap <name> - Removes the name of a swap item to the plugin
* ListEquipment - Lists the names of all your currently equipped gear
* ListSwaps - Lists all swap names currently in the plugin

3.81
Combat Timer now does not reset if you are out of combat for less than 3 seconds
Added relentless maul to skill popups
Changed loot lock data to work server wide instead of account wide
Countdown timer reworked, you should not notice anything 
Disabled spammy pvmp alerts
Added Remmorchant to dungeon log

3.8
Everyone who can use raid commands can now use the buttons in the options menu
Added Inspiritng presence as timer and effect
Added Ancient craft as alert (Creeps)
Esc no longer hides the ready check window
Ready and not ready buttons should no longer disappear after dragging
Buttons behind the icons are now better hidden on the ready check window (Notify if they are now too hard to click)
T1 remmorchant locks should now reset properly
Moved tier of remmorchant to the front for sorting purposes
Added more spacing inbetween loot locks in the loot window for readability
Cleaned up adding notes to the note window, should now work properly in all cases
Cleaned up images
Changed go sound
Amazing

3.74
Fixes for note window reload data

3.73
Fixes for fellowship/raid commands

3.72
Thickened hide timer now uses the abbreviation TH instead of TK :)
Banner timers now have "Banner" as text instead of nothing
Prime officers can now also use raid commands in addition to the raid leader
Contents of the note window are not deleted upon restart but now prompt you with a message in chat if you want to remove its contents (if not a reload)
Other miscellaneous changes

3.71
Fixed nil value on some self buffs
Fixed nil icons for group cooldowns
Fixed broken tracking of identical skills
Swapped in better icon for rk aoe bubble

3.7
Split player skill timers into cooldowns and actives
Improved UI from player skill timers
Changed naming scheme from counters

3.6
Fixed settings issues for effect alerts
Removed sticky webs alert from shelob
Made necrotic ooze alert so it can track only one buff

3.5
Fixed import error

3.43
Fixed settings for alerts. This should allow everyone to move all windows again
Fixed settings on dnf tracking
Added a force reload so party leader can force a party wide reload
Combat timer does not save combats of < 3s

3.4
Added loot tracking for remmorchant 

3.31
Fixed double skill timer alerts

3.3
Plugin now reloads upon changes to the raid
When reloading the plugin it will remember the text in the note window and the applied dnfs
Fixed a lot of remmorchant alerts
Added duration to banners

3.2
Added soundeffects
Added black lore purple and green eye
Bug fix: WH alert doesn't throw an error anymore
Bug fix: Dungeon log loot doesn't throw an error anymore
Initial remmorchant alerts have been added

3.1
Added frontal attacks of manozgar (armour form) and skorgrim to alerts
Added morloths chest
Skillwindow works correctly when starting the plugin when the skill is already on cd
Added dnf tracker that will give an alert if someone dies with a dnf
Added readycheck 2.0 since ssg sucks
If you had the message window disabled in a previous version you should now be able to get full use of the alert window again
Some group wide cds can now independently be tracked as long as they are not used at the same time (or in case with effects that have duration with 1s distance)

3.0
Special effect alerts now actually work :]
Added missing agath-kali alert
Added some nazgul alerts
Chat and dangerous effect on others alerts are now able to be shown simultaneous
Clear button for the timers added to the menu
Added close button for the menu
Newer version will try to retain your settings as much as possible
Countdown timer now starts with the correct colour
Reload button now appears on top of other UI
Effect window now saves position between uses
Added dungeon log with mechanics and loot from the new 6 mans

2.71
Skillwindow positions now get saved between uses
Loot window now populates alpabetically
Fixes for chest names of KK and Lamentation
Some effects on players now broadcast it to the group with an alert
House of Lamentation alerts have been adjusted

2.7
The loot window now refreshes upon receiving a new lock
Updated the UI of the loot window to be a lot nicer
Changed fates timer to 90s instead of a wrong 60s
Getting a new loot log now does not throw errors anymore when trying to load the already loaded loot lock data
Chest lock name does not include the word Mithril anymore
Alignment of locks and names is now much nicer
Initial effect triggers should now work more reliably when initially loading the plugin
Chest names that begin with Mithril now have a name (looking at you KK with your stupid naming scheme)
A lot of other frequently run instances are now distinguished by instance name instead of chest name to make it clearer
Added active timers to certain player skill (Guardian & Cappy survivals / Fates / Bear cds)
Improved UI for timers
When adding/removing member to a party won't break skill alerts
Changing the leader of a party should now be reliably tracked
Added an AlertIcon to help some alerts get more noticeable
Enabled markup for alerts to increase options and because more colours is always better
Removed move button, this functionality can now be found in the popup menu when clicking the button "Options" (Renamed from toggle windows)
The "Options" button can now be moved anywhere on the screen and will be saved in between uses
Added a black outline to all text alers and timers to improve readability
Renamed Combat timer move string to Combat Timer to better distinguish between the counters
The countdown is more aggressively set on top of the other UI also while counting down
Changed the colour of the skill timers movebox to better distinguish between the two timer windows
Added a background to the options to more easily distinguish which options belong to a certain window
The loot and leader windows now also closes when pressing the ESC button
Removed ST rk bubble alert to remove confusion
Added an option to the optionmenu to reload the plugin
Alerts with variable duration now work correctly
Added nurzum (black lore) and final boss fire puddle
Added thuringwaith boss alerts
Lootwindow now appears on top of other UI
Skill reminders for DNF, Banners and SI to be reminded to use them
Active skill timers now have a slightly different colour scheme to differentiate better
Timers are now smooth

2.6
Changing the timer font in options now actually changes the timer font in options
Rk alerts now dont duplicate
Fixed error when changing anything in your group and breaking some alerts
Fixed alerts from 1st boss Roost
Collapsed toggle buttons into one popup menu
Fixed timer 2nd boss Roost
Added loot tracking of weekly T3 chests on all characters (Resets thu 3am)
Settings now reset to defualt when they are out of date
Width/Height from skill alerts now change correctly when changed in the options
Added captain rez to effect alerts

2.5
Added option panel with options for sizes and disabling/enabling certain features
Added skill timers for important skills used by fellowship/raidmembers (Suggested for support classes)

2.4
Added simple combat timer with 5 combat memory
Fixed icons issue
Hooked up Hrimil chat alerts
Fixed Vethug timers and chat alerts

2.3
Saying "clear" in say chat will now clear all timers and alerts currently displayed
Fix for targets with special characters in their name
Fixed incorrect size for log window height

2.2
Added anvil alerts (untested)
Added log window for (de)buffs and say chat (Debug)
Note window now always becomes invisible after locking all windows in place

2.1
Added more icons
Added better phrases
Added text to each window so you know what you are moving
Changed alert timers
Added timers for effects applied to player


2.0
Added saving of positions on windows
Added encounter skill cooldowns
Added effect alerts
Added chat alerts

1.3 
Added toggle button that enables the countdown box to be moved
The note window is not moveable by default anymore but only with the new button
Always puts countdown on top of your other UI for visiblity

1.2 
Fixed parsing issues, should now reliably read countdowns and notes
Fixed problems with changing groups while the plugin is open

1.1 
Fixed crashes when setting rat

1.0 
Initial version
    ]])
end
