SwapWarnerSettings = class(Turbine.UI.Control)
function SwapWarnerSettings:Constructor(parent)
    local width = Settings.LOWidth
    local height = 500
    local x = Settings.LOX
    local y = Settings.LOY
    local font = Settings.LOFont
    local colour = Turbine.UI.Color(1, 1, 1)
    Turbine.UI.Control.Constructor(self)
    self:SetSize(width,height); -- sets the window size to 200 by 200 pixels
    self:SetParent(parent)
    self:SetPosition(0,0)
    self:SetWantsKeyEvents(true)
    self:SetVisible(false)

    local counter = 0

    if SwapWeapons then
        for key, _ in pairs(SwapWeapons) do
            local ItemName = Turbine.UI.Label()
            ItemName:SetParent(self)
            ItemName:SetText(key)
            ItemName:SetPosition(100, counter * 20 + 100)
            ItemName:SetSize(100, 20)
            counter = counter + 1
        end
    end

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10 - 2, 10 - 2)
    SingleBackground:SetSize(520 + 4, 40 + 4)
    SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10, 10)
    SingleBackground:SetSize(520, 40)
    SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(550 - 2, 240 - 2)
    SingleBackground:SetSize(150 + 4, 40 + 4)
    SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(550, 240)
    SingleBackground:SetSize(150, 40)
    SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

    local MoveAllButton = Turbine.UI.Lotro.Button()
    MoveAllButton:SetParent(self)
    MoveAllButton:SetText("Move All")
    MoveAllButton:SetSize(100, 20)
    MoveAllButton:SetPosition(575, 250)
    MoveAllButton:SetVisible(true)

    MoveAllButton.Click = function()
        SwappyWarner:MoveAll()
    end
    
    local NameLabel = Turbine.UI.Label()
    NameLabel:SetParent(self)
    NameLabel:SetPosition(50, 13)
    NameLabel:SetSize(800, 30)
    NameLabel:SetMultiline(false)
    NameLabel:SetVisible(true)
    NameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    NameLabel:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    NameLabel:SetFontStyle(Turbine.UI.FontStyle.Outline)
    NameLabel:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    NameLabel:SetText("< Add your item here")

    local IControl = Turbine.UI.Lotro.Quickslot()
    IControl:SetParent(self)
    IControl:SetPosition(10,11)
    IControl:SetSize(35, 35)
    IControl:SetVisible(true)
    IControl:SetZOrder(2)

    local IControl2 = Turbine.UI.Lotro.Quickslot()
    IControl2:SetParent(self)
    IControl2:SetPosition(200,95)
    IControl2:SetSize(35, 35)
    IControl2:SetVisible(true)
    IControl2:SetZOrder(2)

    local IControl3 = Turbine.UI.Lotro.Quickslot()
    IControl3:SetParent(self)
    IControl3:SetPosition(260,130)
    IControl3:SetSize(35, 35)
    IControl3:SetVisible(true)
    IControl3:SetZOrder(2)

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10 - 2, 60 - 2)
    SingleBackground:SetSize(520 + 4, 160 + 4)
    SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10, 60)
    SingleBackground:SetSize(520, 160)
    SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

    
    local cBox = Turbine.UI.Lotro.CheckBox()
    cBox:SetParent(self)
    cBox:SetPosition(30, 75)
    cBox:SetSize(200, 20)
    cBox:SetChecked(true)
    cBox:SetText("Hide when unequipped")
    cBox:SetVisible(true)

    local cBox2 = Turbine.UI.Lotro.CheckBox()
    cBox2:SetParent(self)
    cBox2:SetPosition(200, 75)
    cBox2:SetSize(400, 20)
    cBox2:SetChecked(false)
    cBox2:SetText("Show text in screen when equipped")
    cBox2:SetVisible(true)

    local NLabel = Turbine.UI.Label()
    NLabel:SetParent(self)
    NLabel:SetPosition(30, 168)
    NLabel:SetSize(400, 30)
    NLabel:SetVisible(true)
    NLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    NLabel:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    NLabel:SetFontStyle(Turbine.UI.FontStyle.Outline)
    NLabel:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    NLabel:SetText("Final swap icon: ")

    local NameLabel2 = Turbine.UI.Label()
    NameLabel2:SetParent(self)
    NameLabel2:SetPosition(30, 98)
    NameLabel2:SetSize(400, 30)
    NameLabel2:SetVisible(true)
    NameLabel2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    NameLabel2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    NameLabel2:SetFontStyle(Turbine.UI.FontStyle.Outline)
    NameLabel2:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    NameLabel2:SetText("Steal icon from item: ")

    local NameLabel2 = Turbine.UI.Label()
    NameLabel2:SetParent(self)
    NameLabel2:SetPosition(30, 133)
    NameLabel2:SetSize(400, 30)
    NameLabel2:SetVisible(true)
    NameLabel2:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    NameLabel2:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    NameLabel2:SetFontStyle(Turbine.UI.FontStyle.Outline)
    NameLabel2:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    NameLabel2:SetText("Steal background from item: ")

    local ShowLabel = ItemShowCase(self, 165, 167, 1)

    local AddButton = Turbine.UI.Lotro.Button()
    AddButton:SetParent(self)
    AddButton:SetText("Add Swap")
    AddButton:SetSize(100, 20)
    AddButton:SetPosition(200, 172)
    AddButton:SetVisible(false)

    local NameLabel3 = Turbine.UI.Label()
    NameLabel3:SetParent(self)
    NameLabel3:SetPosition(320, 167)
    NameLabel3:SetSize(100, 30)
    NameLabel3:SetVisible(false)
    NameLabel3:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    NameLabel3:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    NameLabel3:SetFontStyle(Turbine.UI.FontStyle.Outline)
    NameLabel3:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    NameLabel3:SetForeColor(Turbine.UI.Color(0, 151/255, 0))
    NameLabel3:SetText("Swap added")

    local NameLabel4 = Turbine.UI.Label()
    NameLabel4:SetParent(self)
    NameLabel4:SetPosition(320, 167)
    NameLabel4:SetSize(200, 30)
    NameLabel4:SetVisible(false)
    NameLabel4:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
    NameLabel4:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    NameLabel4:SetFontStyle(Turbine.UI.FontStyle.Outline)
    NameLabel4:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    NameLabel4:SetForeColor(Turbine.UI.Color(151/255, 0, 0))
    NameLabel4:SetText("Already existing")

    IControl.DragDrop = function()
        if IControl:GetShortcut():GetType() == Turbine.UI.Lotro.ShortcutType.Item then
            --ChatOutput(IControl:GetShortcut():GetItem():GetName())
            AddButton:SetVisible(true)
            NameLabel:SetText(IControl:GetShortcut():GetItem():GetName())
            ShowLabel:SetBoth(IControl:GetShortcut():GetItem():GetItemInfo():GetBackgroundImageID(), IControl:GetShortcut():GetItem():GetItemInfo():GetIconImageID())
        else
            AddButton:SetVisible(false)
            NameLabel:SetVisible(false)
        end
    end

    IControl2.DragDrop = function()
        --IControl2:SetPosition(10, 95)
        if IControl2:GetShortcut():GetType() == Turbine.UI.Lotro.ShortcutType.Item then
            ShowLabel:SetIcon(IControl2:GetShortcut():GetItem():GetItemInfo():GetIconImageID())
        end
    end

    IControl3.DragDrop = function()
        --IControl3:SetPosition(10, 130)
        if IControl3:GetShortcut():GetType() == Turbine.UI.Lotro.ShortcutType.Item then
            ShowLabel:SetBackground(IControl3:GetShortcut():GetItem():GetItemInfo():GetBackgroundImageID())
        end
    end

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10 - 2, 240 - 2)
    SingleBackground:SetSize(520 + 4, 200 + 4)
    SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(10, 240)
    SingleBackground:SetSize(520, 200)
    SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

    local container = Turbine.UI.ListBox()
    container:SetParent(self)
    container:SetSize(520, 200)
    container:SetPosition(10, 240)
    --container:SetBackColor(GoldColor)
    container:SetVisible(true)
    container:SetWantsKeyEvents(true)
    container:SetMouseVisible(true)

    local containerScrollbar = Turbine.UI.Lotro.ScrollBar()
    containerScrollbar:SetOrientation( Turbine.UI.Orientation.Vertical )
    containerScrollbar:SetParent( self )
    containerScrollbar:SetPosition( 530 - 10, 240 )
    containerScrollbar:SetSize( 10, 200 )
    container:SetVerticalScrollBar( containerScrollbar )

    self.AddToContainer = function(name)
        local ItemContainer = Turbine.UI.Control()
        ItemContainer:SetSize(520, 50)
        --ItemContainer:SetBackColor(GetRandomColour())

        local SingleBackground = Turbine.UI.Control()
        SingleBackground:SetParent(ItemContainer)
        --SingleBackground:SetPosition(10 - 2, 240 - 2)
        SingleBackground:SetSize(518 + 2, 48 + 2)
        SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))
    
        local SingleBackground = Turbine.UI.Control()
        SingleBackground:SetParent(ItemContainer)
        SingleBackground:SetPosition(1, 0)
        SingleBackground:SetSize(518, 48)
        SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

        local ItemIcon = ItemShowCase(ItemContainer, 2, 7, 1)
        ItemIcon:SetBoth(SwapWeapons[name][2], SwapWeapons[name][1])

        local ItemNameLabel = Turbine.UI.Label()
        ItemNameLabel:SetParent(ItemContainer)
        ItemNameLabel:SetSize(300, 30)
        ItemNameLabel:SetPosition(40, 5)
        ItemNameLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleLeft)
        ItemNameLabel:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
        ItemNameLabel:SetFontStyle(Turbine.UI.FontStyle.Outline)
        ItemNameLabel:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
        ItemNameLabel:SetText(name)

        local MoveButton = Turbine.UI.Lotro.Button()
        MoveButton:SetParent(ItemContainer)
        MoveButton:SetText("Move")
        MoveButton:SetPosition(400, 15)
        MoveButton.Click = function()
            SwappyWarner:MoveWindow(name)
        end

        local DeleteButton = Turbine.UI.Lotro.Button()
        DeleteButton:SetParent(ItemContainer)
        DeleteButton:SetText("Delete")
        DeleteButton:SetPosition(450, 15)
        DeleteButton.Click = function()
            container:RemoveItem(ItemContainer)
            ItemContainer:SetParent(nil)
            SwappyWarner:RemoveSwapWeapon(name)
        end

        container:AddItem(ItemContainer)
    end

    AddButton.Click = function()
        if SwappyWarner:AddSwapWeapon(IControl:GetShortcut():GetItem():GetName(), ShowLabel:GetIcon(), ShowLabel:GetBackground(), cBox:IsChecked(), cBox2:IsChecked()) then
            NameLabel3:SetVisible(true)
            NameLabel4:SetVisible(false)
            self.AddToContainer(IControl:GetShortcut():GetItem():GetName())
            SwappyWarner:SetWindowVisible(IControl:GetShortcut():GetItem():GetName())
        else
            NameLabel3:SetVisible(false)
            NameLabel4:SetVisible(true)
        end
    end

    if SwapWeapons then
        for key, value in pairs(SwapWeapons) do
            self.AddToContainer(key)
        end
    end

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(545 - 2, 10 - 2)
    SingleBackground:SetSize(190 + 4, 40 + 4)
    SingleBackground:SetBackColor(Turbine.UI.Color(0, 0, 0))

    local SingleBackground = Turbine.UI.Control()
    SingleBackground:SetParent(self)
    SingleBackground:SetPosition(545, 10)
    SingleBackground:SetSize(190, 40)
    SingleBackground:SetBackColor(Turbine.UI.Color(0.250, 0.250, 0.250))

    local ScaleBox = Turbine.UI.Lotro.TextBox()
    ScaleBox:SetParent(self)
    ScaleBox:SetSize(50, 30)
    ScaleBox:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
    ScaleBox:SetPosition(550, 14)
    ScaleBox:SetText(Settings.SwapScale)

    local ScaleButton = Turbine.UI.Lotro.Button()
    ScaleButton:SetParent(self)
    ScaleButton:SetSize(100, 30)
    ScaleButton:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
    ScaleButton:SetMouseVisible(false)
    ScaleButton:SetPosition(630, 20)
    ScaleButton:SetText("Set Scale")

    ScaleButton.Click = function()
        if ScaleBox:GetText() ~= "" and ScaleBox:GetText() ~= nil and ScaleBox:GetText() ~= Settings.SwapScale then
            Settings.SwapScale = tonumber(ScaleBox:GetText())
        end
    end

end
