ConfirmationWindow = class(Turbine.UI.Lotro.Window)
function ConfirmationWindow:Constructor(text, confirmFunc, cancelFunc)
    Turbine.UI.Lotro.Window.Constructor(self)

    self.width = 400
    self.height = 130
    self:SetZOrder(101)
    self:Focus()

    self:SetSize(self.width, self.height)
    self:SetVisible(true)
    self:SetPosition(Turbine.UI.Display.GetWidth() / 2 - self.width / 2, Turbine.UI.Display.GetHeight() / 2 - self.height / 2)

    self.textLabel = Turbine.UI.Label()
    self.textLabel:SetParent(self)
    self.textLabel:SetSize(self.width - 20, 50)
    self.textLabel:SetPosition(10, 30)
    self.textLabel:SetMouseVisible(false)
    self.textLabel:SetTextAlignment(Turbine.UI.ContentAlignment.MiddleCenter)
    self.textLabel:SetFont(Turbine.UI.Lotro.Font.BookAntiquaBold22)
    self.textLabel:SetFontStyle(Turbine.UI.FontStyle.Outline)
    self.textLabel:SetOutlineColor(Turbine.UI.Color(0, 0, 0))
    self.textLabel:SetText(text)

    self.confirmButton = Turbine.UI.Lotro.Button()
    self.confirmButton:SetParent(self)
	self.confirmButton:SetFont(Turbine.UI.Lotro.Font.VerdanaBold16)
	self.confirmButton:SetPosition(50, 100)
    self.confirmButton:SetText("Yes")
    self.confirmButton:SetSize(100, 20)

    self.confirmButton.Click = function()
        confirmFunc()
        self:SetVisible(false)
        self:SetParent(nil)
    end

    self.cancelButton = Turbine.UI.Lotro.Button()
    self.cancelButton:SetParent(self)
	self.cancelButton:SetFont(Turbine.UI.Lotro.Font.VerdanaBold16)
	self.cancelButton:SetPosition(self.width - 150, 100)
    self.cancelButton:SetText("No")
    self.cancelButton:SetSize(100, 20)

    self.cancelButton.Click = function()
        cancelFunc()
        self:SetVisible(false)
        self:SetParent(nil)
    end
end